<?php

defined('ABSPATH') || exit;


class Dynamicblock_Conditional_Content_Rule_schedule extends Dynamicblock_Conditional_Content_Rule_Base {

    public function __construct() {
        parent::__construct( 'schedule' );
    }

    public function get_possible_rule_operators() {

        $operators = array();

        return $operators;
    }

    public function get_condition_input_type() {
        return 'schedule_date_time';
    }

    public function is_match( $rule_data, $arguments = null ) {

        $daysData = isset( $rule_data['condition']['days'] ) ? $rule_data['condition']['days'] : "";
      
        $result        = false;
      
        //$cart_contents = WC()->cart->get_cart(); 

        $start_time = $rule_data['condition']['start_time'] ? strtotime( $rule_data['condition']['start_time'] ) : "" ;
        $end_time = $rule_data['condition']['end_time'] ? strtotime( $rule_data['condition']['end_time'] ) : "" ;

        //  $current_time = time();
        $current_time = strtotime(wp_date("h:i:sa"));

        
        if( !empty($start_time) && !empty($end_time) ){
            if( $start_time <= $current_time && $end_time >= $current_time ){
                $result = $this->validate_day( $daysData );
            }
        } elseif ( !empty($start_time) ){
            if( $start_time <= $current_time ){
              $result = $this->validate_day( $daysData );
            }
        } elseif ( !empty($end_time) ){
            if( $end_time >= $current_time ){
               $result = $this->validate_day( $daysData );
            }
        } else {
            $result  = false;
            $result = $this->validate_day( $daysData );
        }
        
        return $this->return_is_match( $result, $rule_data, $arguments );
    }

    public function validate_day( $days = "" ) {
        $tday = strtolower( date("D") );

        if( !empty( $days ) && is_array( $days ) )
        {
            $result = in_array( $tday, $days )  ? true : false;
          /*  echo "<br>if";
            print_r($result);*/
        } else {
            $result = true;
            /*echo "<br>Else";
            print_r($result);*/
        }

        return $result;
    }
}