<?php

class Dynamicblock_Conditional_Content_Rule_Product_Meta extends Dynamicblock_Conditional_Content_Rule_Base
{

    public function __construct()
    {
        parent::__construct('product_meta');
    }

    public function get_possible_rule_operators()
    {

        $operators = array(
            '==' => __( "is equal to", 'DYNAMICBLOCK_TEXT' ),
            '!=' => __( "is not equal to", 'DYNAMICBLOCK_TEXT' ),
            '>' => __( "is greater than", 'DYNAMICBLOCK_TEXT' ),
            '<' => __( "is less than", 'DYNAMICBLOCK_TEXT' ),
            '>=' => __( "is greater or equal to", 'DYNAMICBLOCK_TEXT' ),
            '<=' => __( "is less or equal to", 'DYNAMICBLOCK_TEXT' ),
            /*'LIKE' => __( "is like to", 'DYNAMICBLOCK_TEXT' ),
            'NOT LIKE' => __( "is not like to", 'DYNAMICBLOCK_TEXT' ),*/
        );

        return $operators;
    }

    public function get_condition_input_type()
    {
        return 'product_meta_select';
    }

    public function is_match($rule_data, $arguments = null)
    {
        $product = wc_get_product( get_the_ID() );

      //die('-=-=-=-=-='); 24-JAN-24
        $rule_data['operator'] = htmlspecialchars_decode($rule_data['operator']);
        $result = false;
        $meta_key = $rule_data['condition']['meta-key'];
        $meta_value = $rule_data['condition']['meta-value'];
        $type = htmlspecialchars_decode($rule_data['operator']);
        $found_meta_value = 0;
        $found_meta_value = get_post_meta( get_the_ID(), $meta_key ,true  );
	
        switch ($type) {
            case '==' :
                $result = $found_meta_value == $meta_value;
                break;
            case '!=' :
                $result = $found_meta_value != $meta_value;
                break;
            case '>' :
                $result = $found_meta_value > $meta_value;
                break;
            case '<' :
                $result = $found_meta_value < $meta_value;
                break;
            case '>=' :
                $result = $found_meta_value >= $meta_value;
                break;
            case '<=' :
                $result = $found_meta_value <= $meta_value;
                break;
            default :
                $result = false;
                break;
        }
        return $this->return_is_match($result, $rule_data, $arguments);
    }

}