<?php

defined('ABSPATH') || exit;

class Dynamicblock_Conditional_Content_Rule_url_path extends Dynamicblock_Conditional_Content_Rule_Base {

    public function __construct() {
        parent::__construct( 'url_path' );
    }

    public function get_possible_rule_operators() {

        $operators = array(
            '==' => __( "CONTAINS ANY OF", DYNAMICBLOCK_TEXT ),
            '!=' => __( "DOES NOT CONTAINS ANY OF",  DYNAMICBLOCK_TEXT ),
        );
        return $operators;
    }

    public function get_condition_input_type() {
        return 'text_area_default';
    }

    public function is_match( $rule_data, $arguments = null ) {
        
        $result = false;
        $any_matches = 0;
        
        if( !empty( $rule_data['condition'] ) ) {
            $urlData = explode("|", $rule_data['condition']);

            $paths = isset( $_SERVER['REQUEST_URI'] ) ? $_SERVER['REQUEST_URI'] : '';
            
            if ( ! empty( $urlData ) ) {
                foreach ( $urlData as $path ) {
                            if ( false !== strpos( $paths, trim( $path ) ) ) {
                        $any_matches++;
                    }
                }
            }

            switch ( $rule_data['operator'] ) {
                case '==' :
                    $result = $any_matches != 0;
                    break;
                case '!=' :
                    $result = $any_matches == 0;
                    break;
                default:
                    $result = false;
                    break;
            }

        }  

        return $this->return_is_match( $result, $rule_data, $arguments );
    }
}



    // Temporary commented as per requirement
class Dynamicblock_Conditional_Content_Rule_referral_source extends Dynamicblock_Conditional_Content_Rule_Base {

    public function __construct() {
        parent::__construct( 'referral_source' );
    }

    public function get_possible_rule_operators() {

        $operators = array(
            '==' => __( "CONTAINS ANY OF", DYNAMICBLOCK_TEXT ),
            '!=' => __( "DOES NOT CONTAINS ANY OF",  DYNAMICBLOCK_TEXT ),
        );
        return $operators;
    }

    public function get_condition_input_type() {
        return 'text_area_default';
    }

    public function is_match( $rule_data, $arguments = null ) {
        
        $result = false;
        $any_matches = 0;
        // echo "Ruledata:";
        // print_r($rule_data);
        if( !empty( $rule_data['condition'] ) ) {            
            
            $paths = isset( $_SERVER['HTTP_REFERER'] ) ? $_SERVER['HTTP_REFERER'] : '';
            
            $urlData = explode("|", $rule_data['condition'] );
            
            if ( ! empty( $urlData ) ) {
                foreach ( $urlData as $path ) {
                    if ( false !== strpos( $paths, trim( $path ) ) ) {
                        $any_matches++;
                    }
                }
            }
            
            switch ( $rule_data['operator'] ) {
                case '==' :
                    $result = $any_matches != 0;
                    break;
                case '!=' :
                    $result = $any_matches == 0;
                    break;
                default:
                    $result = false;
                    break;
            }

        }  
        return $this->return_is_match( $result, $rule_data, $arguments );
    }
}


class Dynamicblock_Conditional_Content_Rule_query_string extends Dynamicblock_Conditional_Content_Rule_Base {

    public function __construct() {
        parent::__construct( 'query_string' );
    }

    public function get_possible_rule_operators() {

        $operators = array(
            '==' => __( "CONTAINS ANY OF", DYNAMICBLOCK_TEXT ),
            '!=' => __( "DOES NOT CONTAINS ANY OF",  DYNAMICBLOCK_TEXT ),
        );
        return $operators;
    }

    public function get_condition_input_type() {
        return 'text_area_default';
    }

    public function is_match( $rule_data, $arguments = null ) 
    {
        $result = false;
        $any_matches = 0;
        
        if( !empty( $rule_data['condition'] ) ) {
            
            $urlData = explode("|", $rule_data['condition']);
            
            $paths = isset( $_REQUEST ) ? $_REQUEST : '';

            if ( ! empty( $urlData ) )  {
                foreach ( $urlData as $path ) 
                {   
                    if( !empty( $path ) ){
                        if ( array_key_exists( trim( $path ), $paths ) ) {
                            $any_matches++;
                        }
                    }
                }
            }

            switch ( $rule_data['operator'] ) {
                case '==' :
                    $result = $any_matches != 0;
                    break;
                case '!=' :
                    $result = $any_matches == 0;
                    break;
                default:
                    $result = false;
                    break;
            }
        }  
        return $this->return_is_match( $result, $rule_data, $arguments );
    }
}