<?php
defined('ABSPATH') || exit;

class Dynamicblock_Conditional_Content_Rule_Brands extends Dynamicblock_Conditional_Content_Rule_Base {

    public function __construct() {
        parent::__construct( 'brands' );
    }

    public function get_possible_rule_operators() {
        $operators = array(
            'in'    => __( "in", 'DYNAMICBLOCK_TEXT' ),
            'notin' => __( "not in", 'DYNAMICBLOCK_TEXT' ),
        );

        return $operators;
    }

    public function get_possible_rule_values() {
        $result = array();

        $terms = DynamicBlock_Admin::Dynamicblock_conditional_content_get_all_yith_product_brand();
        if ( $terms && !is_wp_error( $terms ) ) {
            foreach ( $terms as $term ) {
                $result[$term->term_id] = $term->name;
            }
        }

        return $result;
    }

    public function get_condition_input_type() {
        return 'Chosen_Select';
    }


    public function is_match( $rule_data, $arguments = null ) {
        $product = wc_get_product( get_the_ID() );
        $result = false;

        if ( $product && isset( $rule_data['condition'] ) && isset( $rule_data['operator'] ) ) {
            $terms = array();
            $yith_product_brand =  get_the_terms( get_the_ID(), DYNAMICBLOCK_YITH_WOOCOMMERCE_PRODUCT_BRAND);
            if($yith_product_brand){
                foreach ($yith_product_brand as $product_brand){
                    $terms[] = $product_brand->term_id;
                }
                $in = count( array_intersect( $terms, $rule_data['condition'] ) ) > 0;
                $result = $rule_data['operator'] == 'in' ? $in : !$in;
            }
        }

        return $this->return_is_match( $result, $rule_data, $arguments );
    }

}
