<?php

class DynamicBlock_Conditional_Content_Input_Checkout_category_select
{
    public function __construct()
    {
        $this->type = 'Checkout_category_select';

        $this->defaults = array(
            'multiple' => 0,
            'allow_null' => 0,
            'choices' => array(),
            'default_value' => '',
            'class' => 'ajax_chosen_select_products'
        );
    }

    public function render($field, $value = null)
    {
        $field = array_merge($this->defaults, $field);
        if (!isset($field['id'])) {
            $field['id'] = sanitize_title($field['id']);
        }
        $current = isset($value['categories']) ? $value['categories'] : array();
        $choices = $field['choices'];
        ?>
        <input class=" dynamicblock_input_text dynamicblock_input_text_cart_category" style="width: 20%; margin-right: 6px;"
               placeholder="<?php _e('Quantity', 'wc_conditional_content'); ?>" type="number"
               id="<?php echo esc_attr($field['id']); ?>_qty" name="<?php echo esc_attr($field['name']); ?>[qty]"
               value="<?php echo isset($value['qty']) ? esc_attr($value['qty']) : ''; ?>"/>
        <select id="<?php echo esc_attr($field['id']); ?>" name="<?php echo esc_attr($field['name']); ?>[categories][]"
                class="chosen_select  dynamicblock-multi-select2_1  dynamicblock-input_select_cart_category <?php echo esc_attr($field['class']); ?>"
                multiple="multiple"
                data-placeholder="<?php echo(isset($field['placeholder']) ? esc_attr($field['placeholder']) : __('Search...', 'wc_conditional_content')); ?>">
            <?php
            foreach ($choices as $choice => $title) {
                $selected = in_array($choice, $current);
                echo '<option value="' . esc_attr($choice) . '" ' . selected($selected, true, false) . '">' . esc_html($title) . '</option>';
            }
            ?>
        </select>
        <?php
    }
}

?>