<?php

class DynamicBlock_Conditional_Content_Input_Checkout_product_select
{
    public function __construct()
    {
        $this->type = 'Checkout_product_select';

        $this->defaults = array(
            'multiple' => 0,
            'allow_null' => 0,
            'choices' => array(),
            'default_value' => '',
            'class' => 'ajax_chosen_select_products'
        );
    }

    public function render($field, $value = null)
    {
        $field = array_merge($this->defaults, $field);
        if (!isset($field['id'])) {
            $field['id'] = sanitize_title($field['id']);
        }
        $_products = dynamicblock_get_all_products();
        ?>

        <input class="dynamicblock_input_text dynamicblock_input_text_cart_product " style="width: 20%; margin-right: 6px;"
               placeholder="<?php _e('Quantity', 'wc_conditional_content'); ?>" type="number"
               id="<?php echo esc_attr($field['id']); ?>_qty" name="<?php echo esc_attr($field['name']); ?>[qty]"
               value="<?php echo isset($value['qty']) ? esc_attr($value['qty']) : ""; ?>"/>
        <div class="dynamicblock_get_product_ajax" style="width: 100%">

            <select id="<?php echo esc_attr($field['id']); ?>" name="<?php echo esc_attr($field['name']); ?>[product][]" value=""
                    class="dynamicblock-multi-select2_1 dynamicblock_select_get_product"
                    multiple="multiple" data-action="woocommerce_json_search_products_and_variations"
                    data-exclude="<?php echo esc_attr(intval(get_the_ID())); ?>"
                    data-placeholder="<?php _e('Search for a product&hellip;', 'woocommerce'); ?>" style="width: 300px">
                <?php

                $current = $value['product'] ? $value['product'] : array();
                $product_ids = !empty($current) ? array_map('absint', $current) : null;
                if ($_products) {
                    foreach ($_products as $product) {
                        $current = in_array($product['id'], $value['product']) ? 'selected' : '';
                        echo '<option value="' . esc_attr($product['id']) . '" ' . esc_attr($current) . '>' . esc_html($product['title']) . '</option>';
                    }
                }
                ?>
            </select>
        </div>


        <?php
    }

}

?>