<?php

class DynamicBlock_Conditional_Content_Input_Geo_Postal_Code_Entry {

	public function __construct() {
		$this->type = 'Geo_Postal_Code_Entry';

		$this->defaults = array(
		    'multiple' => 0,
		    'allow_null' => 0,
		    'choices' => array(),
		    'default_value' => '',
		    'class' => '',
		    'placeholder' => ''
		);
	}

	public function render( $field, $value = null ) {
		$field = array_merge( $this->defaults, $field );
		if ( !isset( $field['id'] ) ) {
			$field['id'] = sanitize_title( $field['id'] );
		}
		?>

		<table style="width:100%;">
			<tr>
				<td style="width:162px;"><?php _e( 'Distance ( km )', 'wc_conditional_content' ); ?></td>
				<td><?php _e( 'Zip/Postalcode ( One per line )', 'wc_conditional_content' ); ?></td>
			</tr>
			<tr>
				<td style="width:162px; vertical-align:top;">
					<input class="dynamicblock_input_text" type="text"  id="<?php echo esc_attr($field['id']); ?>_qty" name="<?php echo esc_attr($field['name']); ?>[qty]" value="<?php echo isset($value['qty']) ? esc_attr($value['qty']) : 1; ?>"  />
				</td>
				<td>
					<textarea style="width:100%" rows="20" name="<?php echo esc_attr($field['name']); ?>[codes]" type="text" id="<?php echo esc_attr($field['id']); ?>" class="<?php echo esc_attr($field['class']); ?>" placeholder="<?php echo esc_attr($field['placeholder']); ?>"><?php echo esc_textarea($value['codes']); ?></textarea>		
				</td>
				</td>
			</tr>
		</table>
		<?php
	}
}
