<?php


class DynamicBlock_Conditional_Content_Input_Order_Status {

	public function __construct() {
		$this->type = 'Order_Status';

		$this->defaults = array(
			'multiple'      => 0,
			'allow_null'    => 0,
			'choices'       => array(),
			'default_value' => '',
			'class'         => '',
			'placeholder'   => ''
		);
	}

	public function render( $field, $value = null ) {
		$field = array_merge( $this->defaults, $field );
		if (!isset($field['id'])) {
			$field['id'] = sanitize_title( $field['id'] );
		}
		$value['status'] = isset( $value['status'] ) ? $value['status'] : '';

		echo '<select id="' . esc_attr($field['id']) . '" class="dynamicblock-multi-select2_1 dynamicblock_input_select_order ' . esc_attr($field['class']) . '" name="' . esc_attr($field['name']) . '[status]">';
        $sts = wc_get_order_statuses();
        foreach ($sts as $key => $status) {
            echo '<option ' . selected($value['status'], $key) . ' value="' . esc_attr($key) . '">' . esc_html($status) . '</option>';
        }
        echo '</select>';
	}

}
