<?php

class DynamicBlock_Conditional_Content_Input_Payment_Method_Select
{

    public function __construct()
    {
        $this->type = 'Payment_Method_Select';

        $this->defaults = array(
            'multiple' => 0,
            'allow_null' => 0,
            'choices' => array(),
            'default_value' => '',
            'class' => 'ajax_chosen_select_products'
        );
    }

    public function render($field, $value = null)
    {

        $field = array_merge($this->defaults, $field);
        if (!isset($field['id'])) {
            $field['id'] = sanitize_title($field['id']);
        }

        ?>
        <select id="<?php echo esc_attr($field['id']); ?>" name="<?php echo esc_attr($field['name']); ?>[]"
                class="ajax_chosen_select_products dynamicblock-multi-select2_1" multiple="multiple"
                data-placeholder="<?php _e('Search for a Payment Methode&hellip;', 'woocommerce'); ?>">
            <?php
            $current = $value ? $value : array();
            $gateways = WC()->payment_gateways->get_available_payment_gateways();
            if ($gateways) {
                foreach ($gateways as $gateway) {
                    echo '<option value="' . esc_attr($gateway->id) . '" ';
                    foreach ($current as $val) {
                        if ($val == $gateway->id) {
                            echo ' selected="selected"';
                        }
                    }
                    echo '>' . esc_html($gateway->title) . '</option>';
                }
            }
            ?>
        </select>

        <?php
    }

}
