<?php

class DynamicBlock_Conditional_Content_Input_Product_Select
{

    public function __construct()
    {
        $this->type = 'Product_Select';

        $this->defaults = array(
            'multiple' => 0,
            'allow_null' => 0,
            'choices' => array(),
            'default_value' => '',
            'class' => 'ajax_chosen_select_products'
        );
    }

    public function render($field, $value = null)
    {

        $field = array_merge($this->defaults, $field);
        if (!isset($field['id'])) {
            $field['id'] = sanitize_title($field['id']);
        }
        $_products = dynamicblock_get_all_products();
        ?>

        <div class="dynamicblock_get_product_ajax" style="width: 100%">

            <select id="<?php echo esc_attr($field['id']); ?>" name="<?php echo esc_attr($field['name']); ?>[]" value=""
                    class="dynamicblock-multi-select2_1 dynamicblock_select_get_product"
                    multiple="multiple" data-action="woocommerce_json_search_products_and_variations"
                    data-exclude="<?php echo esc_attr(intval(get_the_ID())); ?>"
                    data-placeholder="<?php _e('Search for a product&hellip;', 'woocommerce'); ?>" style="width: 300px">
                <?php

                $product_ids = !empty($current) ? array_map('absint', $current) : null;
                if ($_products) {
                    foreach ($_products as $product) {
                        $current = in_array($product['id'], (array)$value) ? 'selected' : '';
                        echo '<option value="' . esc_attr($product['id']) . '" '. esc_attr($current) .'>' . esc_html($product['title']) . '</option>';
                    }
                }
                ?>
            </select>
        </div>

        <?php
    }

}

?>