<?php

class DynamicBlock_Conditional_Content_Input_schedule_date_time
{
    public function __construct()
    {
        $this->type = 'Cart_Product_Select';

        $this->defaults = array(
            'multiple'      => 0,
            'allow_null'    => 0,
            'choices'       => array(),
            'default_value' => '',
            'class'         => 'ajax_chosen_select_products'
        );
    }

    public function render($field, $value = null)
    {
        $day_start = date( "d", strtotime( "last Sunday" ) );
        $week_days = array();

        for ( $x = 0; $x < 7; $x++ ) {
            $Crday= date( "D", mktime( 0, 0, 0, date( "m" ), $day_start + $x, date( "y" ) ) ); 
            $week_days[strtolower( $Crday)] = substr($Crday,0,1);
        }
       
        $field = array_merge($this->defaults, $field);
        if (!isset($field['id'])) {
            $field['id'] = sanitize_title($field['id']);
        } ?>
            
            <div class="dynamicblock_input_checkbox shedule_day_wrap" style="display: flex;">
                <?php foreach ($week_days as $val => $label) { 
                    $checked = "";

                    if( isset($value['days']) && is_array($value['days']) && in_array($val, $value['days'] )){
                        $checked = "checked";
                    } ?>
                    
                    <span>
                        <input type="checkbox" value="<?php echo esc_attr($val); ?>" name="<?php echo esc_attr($field['name']);?>[days][]" <?php echo $checked;?> >
                        <label><?php echo esc_attr($label); ?></label>
                    </span>
                
                <?php } ?>
            </div>
            
            <input class="dynamicblock_input_text dynamicblock_input_text_cart_product dym_date_time_piker" style="width: 50%; margin-right: 6px;"
               placeholder="<?php _e('Now', 'wc_conditional_content'); ?>" type="text"
               id="dym_date_time_piker" name="<?php echo esc_attr($field['name']); ?>[start_time]"
               value="<?php echo isset($value['start_time']) ? esc_attr($value['start_time']) : ''; ?>"/>

            <input class="dynamicblock_input_text dynamicblock_input_text_cart_product dym_date_time_piker" style="width: 50%; margin-right: 6px;"
               placeholder="<?php _e('Forever', 'wc_conditional_content'); ?>" type="text"
               id="<?php echo esc_attr($field['id']); ?>_qty" name="<?php echo esc_attr($field['name']); ?>[end_time]"
               value="<?php echo isset($value['end_time']) ? esc_attr($value['end_time']) : ''; ?>"/>
        <?php
    }
}
?>