<?php

class DynamicBlock_Conditional_Content_Input_Select {

    public function __construct() {
        $this->type = 'Select';

        $this->defaults = array(
            'multiple' => 0,
            'allow_null' => 0,
            'choices' => array(),
            'default_value' => '',
            'class' => ''
        );
    }

    public function render($field, $value = null) {

        $field = array_merge($this->defaults, $field);
        $field['value'] = $value;
        $optgroup = false;
        
        if (is_array($field['choices'])) {
            foreach ($field['choices'] as $k => $v) {
                if (is_array($v)) {
                    $optgroup = true;
                }
            }
        }
        
        if (!is_array($field['value'])) {
            if (strpos($field['value'], "\n") !== false) {
                $field['value'] = explode("\n", $field['value']);
            } else {
                //$field['value'] = array($field['value']);
                $field['value'] = array( htmlspecialchars_decode($field['value']));
            }
        }

        $field['value'] = array_map('trim', $field['value']);

        $multiple = '';
        if ($field['multiple']) {
            $multiple = ' multiple="multiple" size="5" ';
            $field['name'] .= '[]';
        }

        echo '<select id="' . esc_attr($field['id']) . '" class="' . esc_attr($field['class']) . ' dynamicblock-multi-select2_1" name="' . esc_attr($field['name']) . '" ' . esc_attr($multiple) . ' >';

        if ($field['allow_null']) {
            echo '<option value="null"> - Select - </option>';
        }

        if (is_array($field['choices'])) {
            foreach ($field['choices'] as $key => $value) {
                if ($optgroup) {
                    if ($key != '') echo '<optgroup label="' . esc_attr(htmlspecialchars_decode($key)) . '">';
                    if (is_array($value)) {
                        foreach ($value as $id => $label) {
                            $selected = in_array($id, $field['value']) ? 'selected="selected"' : '';

                            echo '<option value="' . esc_attr($id) . '" ' . esc_attr($selected) . '>' . esc_html($label) . '</option>';
                        }
                    }

                    if ($key != '') echo '</optgroup>';
                }
                else {
                     $selected = in_array(htmlspecialchars_decode($key), $field['value']) ? 'selected="selected"' : '';
                    //$selected = ( htmlspecialchars_decode($key) == htmlspecialchars_decode($field['value'][0]) ) ? 'selected="selected"' : '';
                    echo '<option value="' . esc_attr($key) . '" ' . esc_attr($selected) . '>' . esc_html($value) . '</option>';
                    
                }
            }
        }
        echo '</select>';
    }
}

