<?php
$arrow_down_image = DYNAMICBLOCK_PLUGIN_URL . 'assets/images/arrow-down-sign-to.svg';
$arrow_down_image_white = DYNAMICBLOCK_PLUGIN_URL . 'assets/images/arrow-down-sign-to-white.svg';
$dynamicblock_page = DynamicBlock_Main::dynamicblock_default_locations();

$is_active = false;
if (class_exists('DynamicBlocksBuilderActivator')) {
    $_activator = new DynamicBlocksBuilderActivator();
    $is_active  = $_activator->is_active();
}
?>
<div class="dynamicblock_where_to_display_meta_box">
    <?php
    if ($_where_to_display_control) {
        $i = 0;
        foreach ($_where_to_display_control as $_dynamicblock_key => $control) {
            $wc_page = $control['wc_page'];
            $hook = $control['hook'];
            $priority = $control['priority'];
            ?>
            <div class="dynamicblock_where_to_display_container <?php echo esc_attr($_dynamicblock_key) ?>">

                <?php if($is_active) : ?>
                    <div class="dynamicblock_where_to_display_add_btn">
                        <button type='button' class='add button button-primary button-small' value='ADD'
                                onclick="add_image_row(this)"><span class='dashicons dashicons-plus'></span></button>
                        <?php if ($i != 0) { ?>
                            <button type='button' class='delete button button-primary button-small' value='DELETE'
                                    onclick="remove_image_row(this)"><span class='dashicons dashicons-minus'></span>
                            </button>
                        <?php } ?>
                    </div>
                <?php else: ?>
                    <div class="dynamicblock_where_to_display_add_btn_fake">
                        <button type='button' class='add button button-primary button-small' value='ADD' onclick=""><span class='dashicons dashicons-plus'></span></button>
                    </div>
                <?php endif; ?>

                <div class="dynamicblock_where_to_display_data">
                    <div class="dynamicblock_where_to_display_post">
                        <?php
                        DynamicBlock_Admin::dynamicblock_get_field(array(
                            'type'      => 'select',
                            'id'        => 'dynamicblock_page_control' . $_dynamicblock_key,
                            'name'      => 'where_to_display_control[' . $_dynamicblock_key . '][wc_page]',
                            'label'     => __('Page', DYNAMICBLOCK_TEXT),
                            'value'     => $wc_page,
                            'class'     => 'setting-bulk dynamicblock_page_control',
                            'placeholder' => __('Select Page', DYNAMICBLOCK_TEXT),
                            'options'   =>  array(),
                            'is_page_obj' => $dynamicblock_page,
                            'onchange' => 'on_change_hook_array(this)',
                        ));
                        ?>
                    </div>
                    <div class="dynamicblock_where_to_display_hook" data-name="where_to_display_control[<?php echo esc_attr($_dynamicblock_key); ?>][hook]">
                        <?php
                        if($wc_page != 'wc_custom_hook') {
                            DynamicBlock_Admin::dynamicblock_get_field(array(
                                'type'      => 'select',
                                'id'        => 'dynamicblock_hook_control ' . $_dynamicblock_key,
                                'name'      => 'where_to_display_control[' . $_dynamicblock_key . '][hook]',
                                'label'     => __('Wp Hook', DYNAMICBLOCK_TEXT),
                                'value'     => $hook,
                                'class'     => 'setting-bulk dynamicblock_hook_control',
                                'placeholder' => __('Select Position', DYNAMICBLOCK_TEXT),
                                'options'   =>  array(),
                                'is_hook_obj' => (isset($dynamicblock_page[$wc_page]['hooks'])) ? $dynamicblock_page[$wc_page]['hooks'] : array(),
                            ));
                        } else {
                            DynamicBlock_Admin::dynamicblock_get_field(array(
                                'type'      => 'text',
                                'id'        => 'dynamicblock_hook_control ' . $_dynamicblock_key,
                                'name'      => 'where_to_display_control[' . $_dynamicblock_key . '][hook]',
                                'label'     => __('Wp Hook', DYNAMICBLOCK_TEXT),
                                'value'     => $hook,
                                'class'     => 'dynamicblock-field-wrapp setting-bulk dynamicblock_hook_control',
                                'placeholder' => __('Add Custom Hook', DYNAMICBLOCK_TEXT),
                            ));
                        }
                        ?>
                    </div>

                    <div class="dynamicblock_where_to_display_priority">
                        <div class="setting-Style">
                            <label><?php _e('Priority', DYNAMICBLOCK_TEXT); ?></label>
                            <input type="number" id="wp_priority_control" value="<?php echo esc_attr($priority); ?>"
                                    name="where_to_display_control[<?php echo esc_attr($_dynamicblock_key); ?>][priority]"
                                    class="setting-bulk">
                        </div>
                    </div>
                </div>
            </div>
            <?php
            $i = $i + 1;
        }
    } else {
        $_dynamicblock_key = 'dynamicblock_' . time(); ?>
        <div class="dynamicblock_where_to_display_container <?php echo esc_attr($_dynamicblock_key); ?>">

            <?php if($is_active) : ?>
                <div class="dynamicblock_where_to_display_add_btn">
                    <button type='button' class='add button button-primary button-small' value='ADD' onclick="add_image_row(this)"><span class='dashicons dashicons-plus'></span></button>
                </div>
            <?php else: ?>
                <div class="dynamicblock_where_to_display_add_btn_fake">
                    <button type='button' class='add button button-primary button-small' value='ADD' onclick=""><span class='dashicons dashicons-plus'></span></button>
                </div>
            <?php endif; ?>
            <div class="dynamicblock_where_to_display_data">
                <div class="dynamicblock_where_to_display_post">
                    <?php
                    DynamicBlock_Admin::dynamicblock_get_field(array(
                        'type'      => 'select',
                        'id'        => 'dynamicblock_page_control' . $_dynamicblock_key,
                        'name'      => 'where_to_display_control[' . $_dynamicblock_key . '][wc_page]',
                        'label'     => __('Page', DYNAMICBLOCK_TEXT),
                        'class'     => 'setting-bulk dynamicblock_page_control',
                        'placeholder' => __('Select Page', DYNAMICBLOCK_TEXT),
                        'options'   =>  array(),
                        'is_page_obj' => $dynamicblock_page,
                        'onchange' => 'on_change_hook_array(this)',
                    ));
                    ?>
                </div>
                <div class="dynamicblock_where_to_display_hook" data-name="where_to_display_control[<?php echo esc_attr($_dynamicblock_key); ?>][hook]">
                    <?php
                    DynamicBlock_Admin::dynamicblock_get_field(array(
                        'type'      => 'select',
                        'id'        => 'dynamicblock_hook_control ' . $_dynamicblock_key,
                        'name'      => 'where_to_display_control[' . $_dynamicblock_key . '][hook]',
                        'label'     => __('Wp Hook', DYNAMICBLOCK_TEXT),
                        'class'     => 'setting-bulk dynamicblock_hook_control',
                        'placeholder' => __('Select Position', DYNAMICBLOCK_TEXT),
                        'options'    =>  array(),
                        'is_hook_obj' => array(),
                    ));
                    ?>
                </div>
                <div class="dynamicblock_where_to_display_priority">
                    <div class="setting-Style">
                        <label><?php __('Priority', DYNAMICBLOCK_TEXT) ?></label>
                        <input type="number" id="wp_priority_control" value="20"
                                name="where_to_display_control[<?php echo esc_attr($_dynamicblock_key); ?>][priority]"
                                class="setting-bulk">
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>
</div>
<script type="text/template" id="dynamicblock-display-templates">
    <div class="dynamicblock_where_to_display_container {{dynamicblock_key_count}}">

        <?php if($is_active) : ?>
            <div class="dynamicblock_where_to_display_add_btn">
                <button type='button' class='add button button-primary button-small' value='ADD'
                        onclick="add_image_row(this)"><span class='dashicons dashicons-plus'></span></button>
                <button type='button' class='delete button button-primary button-small' value='DELETE'
                        onclick="remove_image_row(this)"><span class='dashicons dashicons-minus'></span></button>
            </div>
        <?php else: ?>
            <div class="dynamicblock_where_to_display_add_btn_fake">
                <button type='button' class='add button button-primary button-small' value='ADD' onclick=""><span class='dashicons dashicons-plus'></span></button>
            </div>
        <?php endif; ?>

        <div class="dynamicblock_where_to_display_data">
            <div class="dynamicblock_where_to_display_post">
                <div class="dynamicblock-field-wrapp dynamicblock-select-field setting-bulk dynamicblock_page_control">
                    <label><?php __('Page', DYNAMICBLOCK_TEXT) ?></label>
                    <select name="where_to_display_control[{{dynamicblock_key_count}}][wc_page]" id="dynamicblock_page_control"
                            class="setting-bulk dynamicblock_page_control dynamicblock-multi-select2 dynamicblock-field" onchange="on_change_hook_array(this)" style="background-image: url(<?php echo esc_url($arrow_down_image); ?>);">
                        <option value="0">Select Page</option>
                        <?php foreach ($dynamicblock_page as $key => $_page) { ?>
                            <option value="<?php echo esc_attr($key); ?>" data-hook="<?php echo htmlentities(json_encode($_page['hooks'], JSON_UNESCAPED_SLASHES)); ?>"><?php echo esc_html($_page['title']); ?></option>
                        <?php } ?>
                    </select>
                </div>
            </div>
            <div class="dynamicblock_where_to_display_hook" data-name="where_to_display_control[{{dynamicblock_key_count}}][hook]">
                <div class="dynamicblock-field-wrapp dynamicblock-select-field setting-bulk dynamicblock_hook_control">
                    <label><?php _e('Wp Hook', DYNAMICBLOCK_TEXT); ?></label>
                    <select name="where_to_display_control[{{dynamicblock_key_count}}][hook]" id="dynamicblock_hook_control_{{dynamicblock_key_count}}"
                            class="dynamicblock_hook_control dynamicblock-multi-select2 dynamicblock-field"
                            style="background-image: url(<?php echo esc_url($arrow_down_image_white); ?>);">
                        <option value="0">Select Position</option>
                    </select>
                </div>
            </div>
            <div class="dynamicblock_where_to_display_priority">
                <div class="setting-Style">
                    <label><?php __('Priority', DYNAMICBLOCK_TEXT) ?></label>
                    <input type="number" id="wp_priority_control" value="20"
                            name="where_to_display_control[{{dynamicblock_key_count}}][priority]"
                            class="setting-bulk">
                </div>
            </div>
        </div>
    </div>
</script>
<script type="text/template" id="dynamicblock-hook-inputbox-templates">
    <input name="{{name}}" class="dynamicblock_hook_control dynamicblock-field" type="text" />
</script>
<script type="text/template" id="dynamicblock-hook-selectbox-templates">
    <select name="{{name}}" class="dynamicblock_hook_control dynamicblock-multi-select2 dynamicblock-field" style="background-image: url(<?php echo esc_url($arrow_down_image_white); ?>);">
        <option value="0">Select Position</option>
    </select>
</script>