<?php
	if(is_admin()) return;

	require_once DYNAMICBLOCK_ABSPATH . 'admin/class/class-dynamicblock-content-compatibility.php';
    if ( ! function_exists( 'get_editable_roles' ) ) {
        require_once ABSPATH . 'wp-admin/includes/user.php';
    }

   
	$single_fields = array(
		'Price_Select',
		'Text',
		'Store_Order_Count',
		'Order_Status',
		'Select',
	);	
	
	$datasets = isset( $attributes['dataset'] )  ? (array) $attributes['dataset'] : array();
	$datasets2 = isset( $attributes['dataset2'] )  ? (array) $attributes['dataset2'] : array();
	
	$rule_and_condition2 = array();
	$rule_and_condition =  json_decode($attributes['rule_and_condition']);
	$rule_and_condition2 =  json_decode($attributes['rule_and_condition2']);
	$dataset = array_column( $datasets , 'value' );
	$dataset2 = array_column( $datasets2 , 'value' );


	$DynamicBlock_Admin = new DynamicBlock_Admin();

	// What to display
	$what_to_display_query_builder = array();
	$data_sets = array();
	if(!empty($rule_and_condition)){
		foreach ($rule_and_condition as $key => $main_each_rule_and_condition) 
		{	
			$transform_data = array();
			foreach ($main_each_rule_and_condition->data_filter as $key => $each_rule_and_condition) 
			{
				$ruleVal =json_decode( $each_rule_and_condition->values, true );
				$each_rule_and_condition_values = array();

				if(is_array($ruleVal)){

					foreach ( array_column($ruleVal , 'value') as $value ) {
						$each_rule_and_condition_values[] = $value;
					}
				}
				
				$Dynamic_block = $DynamicBlock_Admin->dynamicblock_woocommerce_conditional_content_get_rule_object($each_rule_and_condition->display_rule_types);

				$possible_rule_values = $Dynamic_block->get_possible_rule_values();
				$possible_rule_operators = $Dynamic_block->get_possible_rule_operators();
				$condition_input_type = $Dynamic_block->get_condition_input_type();

				$tagfields = ( in_array($condition_input_type, $single_fields) ? $each_rule_and_condition_values[0] : $each_rule_and_condition_values );

				$transform_data[] = array(
										'dataset' => $each_rule_and_condition->display_rule_types,
										'condition' => $each_rule_and_condition->operators,
										'tagfields' => $tagfields,
										'child_rule_type' => ( ($each_rule_and_condition->child_rule_type == "0") ? 'and' : 'or')
									);
			}

			$what_to_display_query_builder[] = array(
				'rules-expression' =>  ( ($main_each_rule_and_condition->rule_type == "0") ? 'and' : 'or'),
				'dynamicblock_query' => $transform_data,
			);
				
		}
	}	



	$day_count_to_day_name = array(
		'1' => 'sun',
		'2' => 'mon',
		'3' => 'tue',
		'4' => 'wed',
		'5' => 'thu',
		'6' => 'fri',
		'7' => 'sat',
	);

	// When to display
	$when_to_display_query_builder = array();
	if(!empty($rule_and_condition2))
	{
		
		foreach ($rule_and_condition2 as $key => $main_each_rule_and_condition) 
		{	
			$transform_data = array();
			foreach ($main_each_rule_and_condition->data_filter as $key => $each_rule_and_condition) 
			{
				$ruleVal =json_decode( $each_rule_and_condition->values, true );
				
				$each_rule_and_condition_values = array();

				if(is_array($ruleVal)){
						
					foreach ( array_column($ruleVal , 'value') as $value ) {

						$each_rule_and_condition_values[] = $value;
					}
					
					if ( array_key_exists('daysOfWeekdata', $ruleVal) ) {
						foreach ( $ruleVal['daysOfWeekdata'] as $value ) {
							$each_rule_and_condition_values['days'][] = $day_count_to_day_name[$value['id']];
						}
					}
					if ( array_key_exists('daterange', $ruleVal) ) {
						foreach ( $ruleVal['daterange'] as $key => $value ) {
							
							if($key =='startDate'){
								$each_rule_and_condition_values['start_time'] = $value;							
							}
							if($key =='endDate'){
								$each_rule_and_condition_values['end_time'] = $value;							
							}
						}
					}

					
				}


				$Dynamic_block = $DynamicBlock_Admin->dynamicblock_woocommerce_conditional_content_get_rule_object($each_rule_and_condition->display_rule_types);

				$possible_rule_values = $Dynamic_block->get_possible_rule_values();
				
				$possible_rule_operators = $Dynamic_block->get_possible_rule_operators();
					
				$condition_input_type = $Dynamic_block->get_condition_input_type();
				
				$tagfields = ( in_array($condition_input_type, $single_fields) ? $each_rule_and_condition_values[0] : $each_rule_and_condition_values );
				
				if( $each_rule_and_condition->display_rule_types == 'query_string')	{
				
						$tagfields = $tagfields[0];
				
				}
				if( $each_rule_and_condition->display_rule_types == 'url_path')	{
				
						$tagfields = $tagfields[0];
				
				}
				$transform_data[] = array(
										'dataset' => $each_rule_and_condition->display_rule_types,
										'condition' => isset($each_rule_and_condition->operators) ? $each_rule_and_condition->operators : "==",
										'tagfields' => $tagfields,
										'child_rule_type' => ( ($each_rule_and_condition->child_rule_type == "0") ? 'and' : 'or')
									);
			}

			$when_to_display_query_builder[] = array(
				'rules-expression' =>  ( ($main_each_rule_and_condition->rule_type == "0") ? 'and' : 'or'),
				'dynamicblock_query' => $transform_data,
			);
				
		}
	}

  	$atts = array();

	$dynamicBlockArgs = array(
		'limit' => $attributes['limit'],
        'posts_per_page' => $attributes['limit'],
        'columns' => '4',
        'orderby' => $attributes['order_by'],
        'order' => $attributes['mode'],
		'dynamicblock_rules' => array(
			'block_info' => array(
				'post_note' => '',
				'post_block_type' => 'related-products',
				'block_title' => $attributes['block_title'],
			),
			'what_to_display' => array(
				'datasets' => array(
					'products' => $dataset,
					'order_by' => array(
						$attributes['order_by'],
					),
					'order' => $attributes['mode'],
					'limit' => $attributes['limit'],
				),
				'post_query_rules' => $what_to_display_query_builder,
			),
			'when_to_display' => array(
				'datasets' => array(
					'products' => $dataset2,
				),
				'post_query_rules' => $when_to_display_query_builder
			),
			'how_to_display' => array(
				'type-setting' => array(
					'show_product_excerpt' => $attributes['excerptToggle'],
					'enable-carousel' => $attributes['carouselToggle'],
					'display-add-to-cart-button' => $attributes['addToCartBtnToggle'],
					'autoPlay' => $attributes['autoplayToggle'],
				),
			),
			'settings' => array(
				'custom-css-class' => isset($attributes['gbcustomCssClass']) ? $attributes['gbcustomCssClass'] : "",
				'custom-css' =>  isset($attributes['gbcustomCss']) ? $attributes['gbcustomCss'] : "",
				'custom-js' => isset($attributes['gbcustomJs']) ? $attributes['gbcustomJs'] : "",
				'utm-source' => isset($attributes['gbutmSource']) ? $attributes['gbutmSource'] : "",
				'utm-source' => isset($attributes['gbutmSource']) ? $attributes['gbutmSource'] : "",
				'utm-medium' => isset($attributes['gbutmMedium']) ? $attributes['gbutmMedium'] : "",
				'utm-medium' => isset($attributes['gbutmMedium']) ? $attributes['gbutmMedium'] : "",
				'utm-campaign' => isset($attributes['gbutmCampaign']) ? $attributes['gbutmCampaign'] : "",
			),
		),
		'skin_type' => (isset($attributes['carouselToggle']) && $attributes['carouselToggle'] == true) ? 'carousel' : 'grid',
        'enable_excerpt' => (isset($attributes['excerptToggle']) && $attributes['excerptToggle'] == true) ? 'enable_excerpt' : 'no_excerpt',
        'enable_cart_button' => (isset($attributes['addToCartBtnToggle']) && $attributes['addToCartBtnToggle'] == true) ? 'enable_cart_button' : 'no_cart_button',
        'enable_autoplay' => (isset($attributes['autoplayToggle']) && $attributes['autoplayToggle'] == true) ? 'enable_autoplay' : 'no_autoplay',
        'enable_wishlist' => (isset($attributes['enable_wishlist']) && $attributes['enable_wishlist'] == true) ? 'enable_wishlist' : 'no_wishlist',
	);
	/*echo "<prE>when_to_display_query_builder::";
		print_r($when_to_display_query_builder);
	echo "</prE>";	*/


	$validate_when_to_disaplay = gb_get_when_to_display_result($when_to_display_query_builder);
	if($validate_when_to_disaplay)
	{
		DynamicBlock_Related_Product::dynamicblock_related_products($dynamicBlockArgs);
	}

	wp_reset_postdata();
?>