<?php
$is_active = false;
if (class_exists('DynamicBlocksBuilderActivator')) {
    $_activator = new DynamicBlocksBuilderActivator();
    $is_active  = $_activator->is_active();
}
?>
<div class="dynamicblock-add-nav-wrapper">
    <form id="form_dynamicblock_block_type" method="GET"
          action="<?php echo admin_url('post-new.php'); ?>">
        <div class="dynamicblock-add-nav-inner">
            <div class="dynamicblock-add-nav-inner-left">
                <ul class="dynamicblock-add-nav-box">
                    <li class="dynamicblock-add-nav-item">
                        <a href="<?php echo admin_url('edit.php?post_type=dynamicblock-block'); ?>">
                            <div class="dynamicblock-add-nav-item-image">
                                <img class="dynamicblock-dashboard-icon" src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/dashboard_blocks_icon.svg" alt="" title="">
                            </div>
                            <h6 class="dynamicblock-add-text"><?php _e('Blocks', DYNAMICBLOCK_TEXT); ?></h6>
                        </a>
                        </li>
                    <li class="dynamicblock-add-nav-item">
                        <a href="http://www.dynamicblock.ai" target="_blank">
                            <div class="dynamicblock-add-nav-item-image">
                                <img class="dynamicblock-link-icon" src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/dashboards_dynamicblock_icon.svg" alt="" title="">
                            </div>
                            <h6 class="dynamicblock-add-text"><?php _e('Help & Support', DYNAMICBLOCK_TEXT); ?></h6>
                        </a>
                    </li>
                </ul>
            </div>
            <div class="dynamicblock-add-nav-inner-right">
                <input type="hidden" name="post_type" value="dynamicblock-block">
                <button type="button" class="dynamicblock-create-block-btn" custom_popup_id="dynamicblock_dashboard_custom_popup" onclick="create_new_block_click(this)">Create New
                    Block
                </button>
                <p id="error_no_block_type_selected"></p>
            </div>
            <div class="dynamicblock_custom_popup" id="dynamicblock_dashboard_custom_popup">
                <div class="dynamicblock_custom_popup_container">
                    <div class="dynamicblock_custom_popup_wrapper">
                        <div class="dynamicblock_custom_close_popup"><p>×</p></div>
                        <div class="block-type-nav-box-wrapper">
                            <h2>Choose the block type</h2>
                            <ul class="block-type-nav-box">
                                <li class="block-type-nav-item">
                                <span class="display-free">FREE</span>
                                    <label for="grid-html">
                                        <div class="dynamicblock-add-nav-item-image">
                                            <img src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/html_block_ico.svg" alt="" title="">
                                        </div>
                                        <h6 class="block_type_nav_radio_title"><?php _e('Html', DYNAMICBLOCK_TEXT); ?></h6>
                                        <input type="radio" id="grid-html" name="block_type"
                                               value="<?php _e('html', DYNAMICBLOCK_TEXT); ?>"
                                               onclick="dashboard_block_type_radio_click(this)"
                                               class="block-type-nav-radio" data-is_active="true" required>
                                    </label>
                                </li>
                                <li class="block-type-nav-item">
                                    <span class="display-free">FREE</span>
                                    <label for="related-products">
                                        <div class="dynamicblock-add-nav-item-image">
                                            <img src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/related_block_ico.svg" alt="" title="">
                                        </div>
                                        <h6 class="block_type_nav_radio_title"><?php _e('Related Products', DYNAMICBLOCK_TEXT); ?></h6>
                                        <input type="radio" id="related-products" name="block_type"
                                                value="<?php _e('related-products', DYNAMICBLOCK_TEXT); ?>"
                                                onclick="dashboard_block_type_radio_click(this)"
                                                class="block-type-nav-radio" data-is_active="<?php echo esc_attr('true') ?>" required>
                                    </label>
                                </li>
                                <!-- PRO -->
                                <li class="block-type-nav-item">
                                    <span class="display-pro">PRO</span>
                                    <label for="bundle-pack">
                                        <div class="dynamicblock-add-nav-item-image">
                                             <img src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/bundle_block_ico.svg" alt="" title="">
                                        </div>
                                        <h6 class="block_type_nav_radio_title"><?php _e('Bundle Pack', DYNAMICBLOCK_TEXT); ?></h6>
                                        <input type="radio" id="bundle-pack" name="block_type"
                                                value="<?php _e('bundle-pack', DYNAMICBLOCK_TEXT); ?>"
                                                onclick="dashboard_block_type_radio_click(this)"
                                                class="block-type-nav-radio" data-is_active="<?php echo $is_active; ?>" required>
                                    </label>
                                </li>
                                <li class="block-type-nav-item">
                                    <span class="display-pro">PRO</span>
                                    <label for="grid-accessories">
                                        <div class="dynamicblock-add-nav-item-image">
                                            <img src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/accessories_block_ico.svg" alt="" title="">
                                        </div>
                                        <h6 class="block_type_nav_radio_title"><?php _e('Accessories', DYNAMICBLOCK_TEXT); ?></h6>
                                        <input type="radio" id="grid-accessories" name="block_type"
                                                value="<?php _e('accessories', DYNAMICBLOCK_TEXT); ?>"
                                                onclick="dashboard_block_type_radio_click(this)"
                                                class="block-type-nav-radio" data-is_active="<?php echo $is_active; ?>" required>
                                    </label>
                                </li>
                                <!-- PRO -->
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>