<?php
global $_dynamicblock_key;
$_dynamicblock_key            = 'dynamicblock_post_' . get_the_ID();
$dynamicblock_what_to_display = 'dynamicblock_post[' . $_dynamicblock_key . '][what_to_display]';
$dynamicblock_when_to_display = 'dynamicblock_post[' . $_dynamicblock_key . '][when_to_display]';
$dynamicblock_how_to_display  = 'dynamicblock_post[' . $_dynamicblock_key . '][how_to_display]';
$block_type                   = isset($_GET["block_type"]) ? sanitize_text_field($_GET["block_type"]) : '';

$is_active = false;
if (class_exists('DynamicBlocksBuilderActivator')) {
    $_activator = new DynamicBlocksBuilderActivator();
    $is_active  = $_activator->is_active();
}
?>
<div class="dynamicblock-edit-outer-wrapper wrap-block">
    <div class="setting-menu">
        <ul class="setting-menu-list">
            <li class="setting-display Block">
                <a href="#dynamicblock-block-info"><span class="dynamicblock-circle"></span><?php esc_html_e( 'Block Info', DYNAMICBLOCK_TEXT );?></a>
            </li>
            <li class="setting-display">
                <a href="#dynamicblock-what-to-display"><span class="dynamicblock-circle"></span><?php esc_html_e( 'What to Display', DYNAMICBLOCK_TEXT );?></a>
            </li>
            <li class="setting-display">
                <a href="#dynamicblock-when-to-display">
                    <span class="dynamicblock-circle"></span><?php esc_html_e( 'When to Display', DYNAMICBLOCK_TEXT );?>
                </a>
            </li>
            <?php $rules = get_post_meta(get_the_ID(), 'dynamicblock_post');
            $chk_blok    = false;
            if (sizeof($rules) == 1) {
                $chk_blok = true;
            } else {
                $chk_blok = false;
            }
            $block_type = '';
            if ($chk_blok == true) {
                $block_type = $rules[0]['dynamicblock_post_' . get_the_ID()]['block_info']['post_block_type'] ?? '';
            } else {
                $block_type = sanitize_text_field($_GET['block_type']) ?? '';
            }
            if (($block_type == "html")) {
            } else {
                ?>
                <li class="setting-display">
                    <a href="#dynamicblock-how-to-display">
                        <span class="dynamicblock-circle"></span><?php esc_html_e( 'How to Display', DYNAMICBLOCK_TEXT );?>
                    </a>
                </li>
            <?php }
            ?>
            <li class="setting-display">
                <a href="#dynamicblock-display-settings"><span class="dynamicblock-circle"></span><?php esc_html_e( 'Settings', DYNAMICBLOCK_TEXT );?></a>
            </li>
        </ul>
    </div>
    <div id="titlewrap">
        <!-- info -->
        <div id="dynamicblock-block-info" class="dynamicblock-block-edit-area">
            <?php
            $rules               = get_post_meta(get_the_ID(), 'dynamicblock_post');
            $post_note           = $rules[0][$_dynamicblock_key]['block_info']['post_note'] ?? '';
            $new_post_block_type = $rules[0][$_dynamicblock_key]['block_info']['post_block_type'] ?? (sanitize_text_field($_GET['block_type']) ?? '');
            global $post;

            if (! $is_active && ('bundle-pack' === $new_post_block_type || 'accessories' === $new_post_block_type)) {
                /* never */
            } else {
                $_ctitle = array('title' => 'Block Title', 'text' => 'Choose a Block Title');
                include DYNAMICBLOCK_TEMPLATE_PATH . 'admin/dynamicblock-edit-block-tab-title.php';
            }
            ?>
            <div class="block-info-wrapper">
                <?php
                if (! $is_active && ('bundle-pack' === $new_post_block_type || 'accessories' === $new_post_block_type)) : ?>
                    <p class="dynamicblock-upgrade-plugin-txt">Please Upgrade to Pro version. Unlock Extra features !</p>
                    <a href="https://www.dynamicblock.ai/pricing-plans/" target="_blank"><img
                                src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/when-to-display-pro.svg"
                                title="" alt="" class="dynamicblock_buy_pro_img"/></a>
                <?php else:
                    DynamicBlock_Admin::dynamicblock_get_field(array(
                        'type'        => 'text',
                        'id'          => 'dynamicblock_block_post_title',
                        'name'        => 'post_title',
                        'label'       => 'Title',
                        'placeholder' => apply_filters('enter_title_here', __('Add title'), $post),
                        'note'        => __('insert block title', DYNAMICBLOCK_TEXT),
                        'value'       => $post->post_title,
                    ));
                    DynamicBlock_Admin::dynamicblock_get_field(array(
                        'type'        => 'textarea',
                        'id'          => 'dynamicblock_block_note',
                        'name'        => 'dynamicblock_post[' . $_dynamicblock_key . '][block_info][post_note]',
                        'label'       => 'Note',
                        'placeholder' => __('Note', DYNAMICBLOCK_TEXT),
                        'note'        => __('write some notes on the block to remember what it is for', DYNAMICBLOCK_TEXT),
                        'value'       => $post_note,
                    ));
                endif;
                ?>
                <input type="hidden"
                       name="dynamicblock_post[<?php echo esc_attr($_dynamicblock_key); ?>][block_info][post_block_type]"
                       value="<?php echo esc_attr($new_post_block_type); ?>">
                <input type="hidden" name="dynamicblock_block_type"
                       value="<?php echo esc_attr($new_post_block_type); ?>">
                <input type="hidden"
                       name="dynamicblock_post[<?php echo esc_attr($_dynamicblock_key); ?>][block_info][id]"
                       value="<?php echo esc_attr(get_the_ID()); ?>">
            </div>
        </div>
        <!-- what -->
        <div id="dynamicblock-what-to-display" class="dynamicblock-block-edit-area">
            <?php
            $order_by = 'date';
            $order    = '';
            $limit    = 5;

            if (! $is_active && ('bundle-pack' === $new_post_block_type || 'accessories' === $new_post_block_type)) {
                /* never */
            } else {
                $_ctitle  = array(
                    'title' => 'What to Display',
                    'text'  => 'Choose the products you would like to show based on customizable criteria.',
                );
                include DYNAMICBLOCK_TEMPLATE_PATH . 'admin/dynamicblock-edit-block-tab-title.php';
            }

            $rules = get_post_meta(get_the_ID(), 'dynamicblock_post');
            if (isset($rules[0][$_dynamicblock_key]['what_to_display']['datasets']) && ! empty($rules[0][$_dynamicblock_key]['what_to_display']['datasets'])) {
                $what_to_display_datasets = $rules[0][$_dynamicblock_key]['what_to_display']['datasets'];
                $products                 = isset($what_to_display_datasets['products']) ? $what_to_display_datasets['products'] : '';
                $order_by                 = isset($what_to_display_datasets['order_by']) ? $what_to_display_datasets['order_by'] : 'date';
                $order                    = isset($what_to_display_datasets['order']) ? $what_to_display_datasets['order'] : 'asc';
                $limit                    = isset($what_to_display_datasets['limit']) ? $what_to_display_datasets['limit'] : '5';
            }
            $static_datasets_array             = array();
            $static_datasets_array['products'] = array(
                'products_1'       => 'Product 1',
                'product_2'        => 'Product 2',
                'yith_brand_addon' => 'Yith Brand Addon',
            );
            $static_datasets_array['order_by'] = array('date' => 'Date', 'title' => 'Name', 'rand' => 'Random');
            $static_datasets_array['order']    = array('acs' => 'ASC', 'desc' => 'DESC');
            $new_post_block_type               = $rules[0][$_dynamicblock_key]['block_info']['post_block_type'] ?? '';
            ?>
            <?php if (! $is_active && ('bundle-pack' === $new_post_block_type || 'accessories' === $new_post_block_type)) : ?>
                <div class="block-info-wrapper">
                    <p class="dynamicblock-upgrade-plugin-txt">Please Upgrade to Pro version. Unlock Extra features !</p>
                    <a href="https://www.dynamicblock.ai/pricing-plans/" target="_blank"><img
                                src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/when-to-display-pro.svg"
                                title="" alt="" class="dynamicblock_buy_pro_img"/></a>
                </div>
            <?php else: ?>
                <div class="block-info-wrapper">
                    <?php
                    $rules    = get_post_meta(get_the_ID(), 'dynamicblock_post');
                    $chk_blok = false;
                    if (sizeof($rules) == 1) {
                        $chk_blok = true;
                    } else {
                        $chk_blok = false;
                    }
                    $block_type = '';
                    if ($chk_blok == true) {
                        $block_type = isset($rules[0]['dynamicblock_post_' . get_the_ID()]['block_info']['post_block_type']) ? $rules[0]['dynamicblock_post_' . get_the_ID()]['block_info']['post_block_type'] : '';
                    } else {
                        $block_type = sanitize_text_field($_GET['block_type']);
                    }
                    if (($block_type == "html")) {
                        ?>
                        <style>
                          #dynamicblock-what-to-display .dynamicblock-custom-collapse-wrapper.is-html {
                            display: none;
                          }
                        </style>
                        <?php
                        $rules                = get_post_meta(get_the_ID(), 'dynamicblock_post');
                        $how_to_display_rules = isset($rules[0][$_dynamicblock_key]['how_to_display']) ? $rules[0][$_dynamicblock_key]['how_to_display'] : '';
                        ?>
                        <div class="how-to-display-option-field-wrapper" style="margin-top: 15px;">
                            <div class="dynamicblock-custom-collapse-wrapper is-html">
                                <div class="dynamicblock-custom-collapse-container">
                                    <div class="dynamicblock-custom-collapse-title dynamicblock-do-collapse collapse-open"
                                         onclick="dynamicblock_custom_collapse(this)"
                                         collapse="dynamicblock-content-option-collapse">
                                        <h3><?php esc_html_e( 'Content Options', DYNAMICBLOCK_TEXT );?></h3></div>
                                    <div class="dynamicblock-custom-collapse-description dynamicblock-content-option-collapse collapse-open">
                                    </div>
                                </div>
                            </div>
                            <div class="how-to-display-option-field-settings  dynamicblock-content-option-collapse collapse-open">
                                <!-- <h2 class="how-to-display-option-field-heading">Other Block Type (Html) -
                                     Settings</h2>
                                 <span class="how-to-display-option-field-tag">Setting</span>-->
                                <div class="dynamicblock-field-onoff-wrapp">
                                    <div class="container">
                                        <div class="how-to-display-other-block-type-settings">
                                            <div class="other-block-type-content">
                                            </div>
                                            <?php
                                            $editor_id = "tinymce_editor";
                                            $content   = (isset($how_to_display_rules['type-setting']['dynamicblock_editor_html'])) ? $how_to_display_rules['type-setting']['dynamicblock_editor_html'] : '';
                                            $settings  = array(
                                                'textarea_name' => $dynamicblock_how_to_display . '[type-setting][dynamicblock_editor_html]',
                                                'editor_class'  => 'tinymce-enabled required',
                                                'teeny'         => true,
                                                'quicktags'     => true,
                                                'tinymce'       => true,
                                                'textarea_rows' => '10',
                                                'editor_height' => '400',
                                            );
                                            add_action('admin_head',
                                                array($this, wp_editor($content, $editor_id, $settings)));
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php
                    } else {
                        ?>
                        <h5 class="dynamicblock-field-title">
                            <?php _e( 'Datasets', DYNAMICBLOCK_TEXT );?>
                        </h5>
                        <p class="field-description">
                            <?php _e( 'Datasets are groups of conditions that you can use to apply your conditions to blocks.', DYNAMICBLOCK_TEXT );?>
                        </p>
                        <div class="dynamicblock-dataset-wrapper">
                            <div class="dynamicblock-dataset-group">
                            <p class="dynamicblock-field-note">
                                <?php _e( 'Choose the Datasets you want to use to select your products:', DYNAMICBLOCK_TEXT );?>
                            </p>
                                <select class="dynamicblock-multi-select2 " id="dynamicblock_what_todata"
                                        onload="dynamicblock_what_to_data(this)"
                                        onchange="dynamicblock_what_to_data(this)"
                                        name="<?php echo esc_attr($dynamicblock_what_to_display); ?>[datasets][products][]"
                                        multiple="multiple">
                                    <?php
                                    $datasets_default_rules_type = DynamicBlock_Display_Rules::what_to_display_rule_types('');

                                    foreach ($datasets_default_rules_type as $key => $value) {
                                        ?>
                                        <option value="<?php echo esc_attr($key); ?>"
                                            <?php
                                            if (isset($products)) {
                                                if (in_array($key, (array)$products)) {
                                                    echo esc_attr("selected");
                                                }
                                            }
                                            ?>
                                                key_sets="<?php
                                                $i = 0;
                                                foreach ($value as $k => $v) {
                                                    if ($i != 0) {
                                                        echo ',';
                                                    }
                                                    echo esc_attr($k);
                                                    $i++;
                                                } ?>"
                                                value_sets="<?php
                                                $i = 0;
                                                foreach ($value as $k => $v) {
                                                    if ($i != 0) {
                                                        echo ',';
                                                    }
                                                    echo esc_attr($v);
                                                    $i++;
                                                } ?>">
                                            <?php echo esc_html($key); ?>
                                        </option>
                                        <?php
                                    }
                                    ?>
                                </select>
                            </div>
                            <?php

                            if (($block_type == "recent-view") || ($block_type == "related-products") || ($block_type == "bundle-pack") || ($block_type == "accessories")) {
                                ?>
                                <div class="dynamicblock-dataset-order-limit">
                                    <div class="dynamicblock-dataset-order">
                                    <p class="dynamicblock-field-note">
                                        <?php _e( 'Order by', DYNAMICBLOCK_TEXT );?>
                                    </p>
                                        <select class="dynamicblock-multi-select2"
                                                name="<?php echo esc_attr($dynamicblock_what_to_display); ?>[datasets][order_by][]">
                                            <?php
                                            foreach ($static_datasets_array['order_by'] as $key => $value) {
                                                echo '<option value="' . esc_attr($key) . '" ';
                                                if (isset($order_by)) {
                                                    for ($i = 0; count(array($order_by)) > $i; ++$i) {
                                                        if ($key == $order_by[$i]) {
                                                            echo esc_attr('selected');
                                                        }
                                                    }
                                                }
                                                echo '>' . esc_html($value) . '</option>';
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="dynamicblock-dataset-asc-limit">
                                        <p class="dynamicblock-field-note">
                                            <?php _e( 'Order type', DYNAMICBLOCK_TEXT );?>
                                        </p>
                                        <select class="dynamicblock-multi-select2"
                                                name="<?php echo esc_attr($dynamicblock_what_to_display); ?>[datasets][order]">
                                            <?php
                                            foreach ($static_datasets_array['order'] as $key => $value) {
                                                echo '<option value="' . esc_attr($key) . '" ';
                                                if (isset($order)) {
                                                    if ($key == $order) {
                                                        echo esc_attr('selected');
                                                    }
                                                }
                                                echo '>' . esc_html($value) . '</option>';
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="dynamicblock-dataset-limit">
                                <p class="dynamicblock-field-note">
                                    <?php _e( 'Limit', DYNAMICBLOCK_TEXT );?>
                                </p>
                                    <?php
                                    DynamicBlock_Admin::dynamicblock_get_field(array(
                                        'type'        => 'text',
                                        'id'          => 'post_title',
                                        'name'        => 'dynamicblock_post[' . $_dynamicblock_key . '][what_to_display][datasets][limit]',
                                        'label'       => '',
                                        'placeholder' => __('Set Limit', DYNAMICBLOCK_TEXT),
                                        'value'       => isset($limit) ? $limit : '20',
                                    ));
                                    ?>
                                </div>
                            <?php } else {
                                ?>
                                <style>
                                  .dynamicblock-dataset-wrapper .dynamicblock-dataset-group {
                                    width:         100%;
                                    padding-right: 8px;
                                  }
                                </style>
                                <?php
                            } ?>
                        </div>
                        <h5 class="dynamicblock-field-title">
                            <?php _e( 'Rules and Conditions', DYNAMICBLOCK_TEXT );?>
                        </h5>
                        <p class="field-description">
                            <?php _e( 'Create your own set of rules to choose which products to show.', DYNAMICBLOCK_TEXT );?>
                        </p>
                        <div class="dynamicblock-rules-wrapper what-to-display-rules-wrapper">
                            <?php include DYNAMICBLOCK_TEMPLATE_PATH . 'admin/dynamicblock-what-to-display-rules.php'; ?>
                        </div>
                        <p class="field-description">Example condition: <br/>[product_category] IS ‘man-shoes | man-accessories’ AND
                            ([product_attributes] = ‘color:black’ OR [product_attributes] = ‘color:brown’) AND
                            [product_price] >= ‘15’ AND [stock_status] is ‘In Stock’ AND [product_type] is ‘simple’
                        </p>
                    <?php } ?>
                </div>
            <?php endif;?>
        </div>
        <!-- when -->
        <div id="dynamicblock-when-to-display" class="dynamicblock-block-edit-area">
            <?php if (! $is_active && ('bundle-pack' === $new_post_block_type || 'accessories' === $new_post_block_type)) : ?>
                <div class="block-info-wrapper">
                    <p class="dynamicblock-upgrade-plugin-txt">Please Upgrade to Pro version. Unlock Extra features !</p>
                    <a href="https://www.dynamicblock.ai/pricing-plans/" target="_blank"><img
                                src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/when-to-display-pro.svg"
                                title="" alt="" class="dynamicblock_buy_pro_img"/></a>
                </div>
            <?php else: ?>
                <?php
                $_ctitle = array(
                    'title' => 'When to Display',
                    'text'  => 'When should the block be displayed ? Create your own dynamic rules.',
                );
                include DYNAMICBLOCK_TEMPLATE_PATH . 'admin/dynamicblock-edit-block-tab-title.php';
                $rules                    = get_post_meta(get_the_ID(), 'dynamicblock_post');
                $when_to_display_datasets = (isset($rules[0][$_dynamicblock_key]['when_to_display']['datasets'])) ? $rules[0][$_dynamicblock_key]['when_to_display']['datasets'] : array();
                $products                 = (isset($when_to_display_datasets['products'])) ? $when_to_display_datasets['products'] : '';
                ?>
                <div class="block-info-wrapper">
                    <h5 class="dynamicblock-field-title">
                        <?php _e( 'DataSets', DYNAMICBLOCK_TEXT ); ?>
                    </h5>
                    <p class="field-description">
                        <?php _e( 'Datasets are groups of conditions that you can use to apply your conditions
                        to blocks. Click to select your datasets.', DYNAMICBLOCK_TEXT );?>
                    </p>
                    <div class="dynamicblock-dataset-wrapper">
                    <p class="dynamicblock-field-note">
                        <?php _e( 'Choose the Datasets you want to use for logical visibility conditions:', DYNAMICBLOCK_TEXT );?>
                    </p>
                        <div class="dynamicblock-dataset-group ">
                            <select class="dynamicblock-multi-select2" id="dynamicblock_when_id"
                                    onload="dynamicblock_when_to_data(this)"
                                    onchange="dynamicblock_when_to_data(this)"
                                    name="<?php echo esc_attr($dynamicblock_when_to_display); ?>[datasets][products][]"
                                    multiple="multiple">
                                <?php
                                $datasets_default_rules_type = DynamicBlock_Display_Rules::when_to_display_rule_types('Product');
                                foreach ($datasets_default_rules_type as $key => $value) {
                                    echo $key;
                                    if ($key != 'Globle') {
                                        ?>
                                        <option value="<?php echo esc_attr($key); ?>"
                                            <?php
                                            $selected = '';
                                            if ($products) {
                                                if (in_array($key, $products)) {
                                                    $selected = "selected";
                                                }
                                            }
                                            if ($key == 'Global') {
                                                $selected = "selected disabled";
                                            }
                                            echo esc_attr($selected);
                                            ?>
                                                key_sets="<?php
                                                $i = 0;
                                                foreach ($value as $k => $v) {
                                                    if ($i != 0) {
                                                        echo ',';
                                                    }
                                                    echo esc_attr($k);
                                                    $i++;
                                                } ?>"
                                                value_sets="<?php
                                                $i = 0;
                                                foreach ($value as $k => $v) {
                                                    if ($i != 0) {
                                                        echo ',';
                                                    }
                                                    echo esc_attr($v);
                                                    $i++;
                                                } ?>"><?php echo esc_html($key); ?></option>
                                        <?php
                                    }
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <h5 class="dynamicblock-field-title">
                        <?php _e( 'Rules and Conditions', DYNAMICBLOCK_TEXT ); ?>
                    </h5>
                    <p class="field-description">
                        <?php _e( 'Create your own set of rules to choose when to display the block.', DYNAMICBLOCK_TEXT ); ?>
                    </p>
                    <div class="dynamicblock-rules-wrapper when-to-display-rules-wrapper">
                        <?php include DYNAMICBLOCK_TEMPLATE_PATH . 'admin/dynamicblock-when-to-display-rules.php'; ?>
                    </div>
                </div>
            <?php endif;?>
        </div>
        <!-- how -->
        <div id="dynamicblock-how-to-display" class="dynamicblock-block-edit-area">
            <?php if (! $is_active && ($block_type === "accessories" || $block_type === "bundle-pack")) : ?>
                <div class="block-info-wrapper">
                    <p class="dynamicblock-upgrade-plugin-txt">Please Upgrade to Pro version. Unlock Extra features !</p>
                    <a href="https://www.dynamicblock.ai/pricing-plans/" target="_blank"><img
                                src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/when-to-display-pro.svg"
                                title="" alt="" class="dynamicblock_buy_pro_img"/></a>
                </div>
            <?php else: ?>
                <?php
                $_ctitle = array('title' => 'How to Display', 'text' => 'Customize the style of the block.');
                include DYNAMICBLOCK_TEMPLATE_PATH . 'admin/dynamicblock-edit-block-tab-title.php';
                ?>
                <div class="block-info-wrapper">
                    <div class="dynamicblock-display-setting-row">
                        <div class="dynamicblock-how-to-display-container">
                            <?php
                            $rules    = get_post_meta(get_the_ID(), 'dynamicblock_post');
                            $chk_blok = false;
                            if (sizeof($rules) == 1) {
                                $chk_blok = true;
                            } else {
                                $chk_blok = false;
                            }
                            $block_type = '';
                            if ($chk_blok == true) {
                                $block_type = isset($rules[0]['dynamicblock_post_' . get_the_ID()]['block_info']['post_block_type']) ? $rules[0]['dynamicblock_post_' . get_the_ID()]['block_info']['post_block_type'] : '';
                            } else {
                                $block_type = $_GET['block_type'];
                            }
                            ?>
                            <?php if ($block_type == "related-products") { ?>
                                <div class="how-to-display-nav-box-wrapper" style="display: none;">
                                    <div class="dynamicblock-custom-collapse-wrapper">
                                        <div class="dynamicblock-custom-collapse-container">
                                            <div class="dynamicblock-custom-collapse-title dynamicblock-do-collapse collapse-open"
                                                 onclick="dynamicblock_custom_collapse(this)"
                                                 collapse="dynamicblock-skin-type-collapse">
                                                <h3>Skin Type</h3></div>
                                            <div class="dynamicblock-custom-collapse-description dynamicblock-skin-type-collapse collapse-open">
                                                <p>Skin Type for Block</p>
                                                <p>at moment only GRID / CAROUSE</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="how-to-display-nav dynamicblock-skin-type-collapse collapse-open">
                                        <ul class="how-to-display-nav-box">
                                            <?php
                                            $rules           = get_post_meta(get_the_ID(), 'dynamicblock_post');
                                            $skin_type_rules = isset($rules[0][$_dynamicblock_key]['how_to_display']['skin_type']) ? $rules[0][$_dynamicblock_key]['how_to_display']['skin_type'] : false;
                                            DynamicBlock_Admin::dynamicblock_get_field(array(
                                                'type'    => 'radio',
                                                'id'      => 'grid-carousel',
                                                'name'    => '' . $dynamicblock_how_to_display . '[skin_type]',
                                                'label'   => 'grid-carousel',
                                                'note'    => 'Grid / Carouel',
                                                'value'   => 'grid-carousel',
                                                'checked' => $skin_type_rules,
                                            ));
                                            ?>
                                            <?php
                                            DynamicBlock_Admin::dynamicblock_get_field(array(
                                                'type'    => 'radio',
                                                'id'      => 'display-two',
                                                'name'    => '' . $dynamicblock_how_to_display . '[skin_type]',
                                                'label'   => 'display-two',
                                                'note'    => 'List',
                                                'value'   => 'list',
                                                'checked' => $skin_type_rules,
                                            ));
                                            ?>
                                            <?php
                                            DynamicBlock_Admin::dynamicblock_get_field(array(
                                                'type'    => 'radio',
                                                'id'      => 'display-three',
                                                'name'    => '' . $dynamicblock_how_to_display . '[skin_type]',
                                                'label'   => 'display-three',
                                                'note'    => 'Table',
                                                'value'   => 'table',
                                                'checked' => $skin_type_rules,
                                            ));
                                            ?>
                                            <?php
                                            DynamicBlock_Admin::dynamicblock_get_field(array(
                                                'type'    => 'radio',
                                                'id'      => 'display-four',
                                                'name'    => '' . $dynamicblock_how_to_display . '[skin_type]',
                                                'label'   => 'display-four',
                                                'note'    => 'Slideshow',
                                                'value'   => 'slideshow',
                                                'checked' => $skin_type_rules,
                                            ));
                                            ?>
                                            <?php
                                            DynamicBlock_Admin::dynamicblock_get_field(array(
                                                'type'    => 'radio',
                                                'id'      => 'display-five',
                                                'name'    => '' . $dynamicblock_how_to_display . '[skin_type]',
                                                'label'   => 'display-five',
                                                'note'    => 'Demo-Text',
                                                'value'   => 'demo-Text',
                                                'checked' => $skin_type_rules,
                                            ));
                                            ?>
                                        </ul>
                                    </div>
                                </div>
                            <?php } ?>
                            <div class="how-to-display-option-field-wrapper">
                                <div class="dynamicblock-custom-collapse-wrapper">
                                    <div class="dynamicblock-custom-collapse-container">
                                        <div class="dynamicblock-custom-collapse-title dynamicblock-do-collapse collapse-open"
                                             onclick="dynamicblock_custom_collapse(this)"
                                             collapse="dynamicblock-content-option-collapse">
                                            <h3>
                                                <?php _e( 'Content Options', DYNAMICBLOCK_TEXT ); ?>
                                            </h3>
                                        </div>
                                        <div class="dynamicblock-custom-collapse-description dynamicblock-content-option-collapse collapse-open">
                                        </div>
                                    </div>
                                </div>
                                <?php if ($block_type == "related-products") {?>
                                    <div class="how-to-display-option-field-settings  dynamicblock-content-option-collapse collapse-open">
                                        <!--<h2 class="how-to-display-option-field-heading">Related &amp; Recent View
                                            Products
                                            Block
                                            Type - Settings</h2>
                                        <span class="how-to-display-option-field-tag">Setting</span>-->
                                        <div class="dynamicblock-field-onoff-wrapp">
                                            <div class="container">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <?php
                                                        $rules                                 = get_post_meta(get_the_ID(),
                                                            'dynamicblock_post');
                                                        $how_to_display_rules                  = isset($rules[0][$_dynamicblock_key]['how_to_display']) ? $rules[0][$_dynamicblock_key]['how_to_display'] : '';
                                                        $static_datasets_array                 = array();
                                                        $static_discount_type['discount_type'] = array(
                                                            'none'       => 'None',
                                                            'fixed'      => 'Fixed',
                                                            'percentage' => 'Percentage',
                                                        );
                                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                                            'type'    => 'onoff',
                                                            'id'      => 'show-product-excerpt',
                                                            'name'    => '' . $dynamicblock_how_to_display . '[type-setting][show_product_excerpt]',
                                                            'label'   => __( 'Show Product Excerpt', DYNAMICBLOCK_TEXT ),
                                                            'note'    => __( 'display short description', DYNAMICBLOCK_TEXT ),
                                                            'checked' => isset($how_to_display_rules['type-setting']['show_product_excerpt']) ? $how_to_display_rules['type-setting']['show_product_excerpt'] : '',
                                                            'value'   => 'true',
                                                        ));
                                                        ?>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <?php
                                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                                            'type'    => 'onoff',
                                                            'id'      => 'enable-carousel',
                                                            'name'    => '' . $dynamicblock_how_to_display . '[type-setting][enable-carousel]',
                                                            'label'   => __( 'Enable Carousel', DYNAMICBLOCK_TEXT ),
                                                            'note'    => __( 'show as grid or carousel', DYNAMICBLOCK_TEXT ),
                                                            'checked' => isset($how_to_display_rules['type-setting']['enable-carousel']) ? $how_to_display_rules['type-setting']['enable-carousel'] : '',
                                                            'value'   => 'true',
                                                        ));
                                                        ?>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <?php
                                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                                            'type'    => 'onoff',
                                                            'id'      => 'display-add-to-cart-button',
                                                            'name'    => '' . $dynamicblock_how_to_display . '[type-setting][display-add-to-cart-button]',
                                                            'label'   => __( 'Display Add to Cart Button', DYNAMICBLOCK_TEXT ),
                                                            'note'    => __( 'display add to cart', DYNAMICBLOCK_TEXT ),
                                                            'checked' => isset($how_to_display_rules['type-setting']['display-add-to-cart-button']) ? $how_to_display_rules['type-setting']['display-add-to-cart-button'] : '',
                                                            'value'   => 'true',
                                                        ));
                                                        ?>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <?php
                                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                                            'type'    => 'onoff',
                                                            'id'      => 'autoPlay',
                                                            'name'    => '' . $dynamicblock_how_to_display . '[type-setting][autoPlay]',
                                                            'label'   => __( 'AutoPlay', DYNAMICBLOCK_TEXT ),
                                                            'note'    => __( 'enable autoplay for carousel', DYNAMICBLOCK_TEXT ),
                                                            'checked' => isset($how_to_display_rules['type-setting']['autoPlay']) ? $how_to_display_rules['type-setting']['autoPlay'] : '',
                                                            'value'   => 'true',
                                                        ));
                                                        ?>
                                                    </div>
                                                </div>
                                                <!-- <div class="row">
                                                <div class="col-md-6">
                                                    <?php
                                                /*DynamicBlock_Admin::dynamicblock_get_field(array(
                                                    'type' => 'onoff',
                                                    'id' => 'display-wishlist-button',
                                                    'name' => '' . $dynamicblock_how_to_display . '[type-setting][display-wishlist-button]',
                                                    'label' => 'Display Wishlist Button',
                                                    'note' => 'display wishlist',
                                                    'checked' => isset($how_to_display_rules['type-setting']['display-wishlist-button'])?$how_to_display_rules['type-setting']['display-wishlist-button']:'', // :: True/False
                                                    'value' => 'true',
                                                ));*/
                                                ?>
                                                </div>
                                                <div class="col-md-6"></div>
                                            </div> -->
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>

                                <?php if ( $is_active && ($block_type === "accessories" || $block_type === "bundle-pack") ) {
                                    $rules                = get_post_meta(get_the_ID(), 'dynamicblock_post');
                                    $how_to_display_rules = isset($rules[0][$_dynamicblock_key]['how_to_display']) ? $rules[0][$_dynamicblock_key]['how_to_display'] : '';
                                    ?>
                                    <div class="how-to-display-option-field-settings  dynamicblock-content-option-collapse collapse-open">
                                        <?php /*?><?php if (($block_type == "accessories")) { ?>
                                        <h2 class="how-to-display-option-field-heading">Accessories Block Type -
                                            Settings</h2>
                                    <?php } elseif (($block_type == "bundle-pack")) {
                                        ?> <h2 class="how-to-display-option-field-heading">Bundle Block Type -
                                            Settings</h2> <?php
                                    } ?><?php */ ?>
                                        <!-- <span class="how-to-display-option-field-tag">Setting</span>-->

                                        <div class="dynamicblock-field-onoff-wrapp">
                                            <div class="container">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <?php
                                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                                            'type'    => 'onoff',
                                                            'id'      => 'show_product_excerpt',
                                                            'name'    => '' . $dynamicblock_how_to_display . '[type-setting][show_product_excerpt]',
                                                            'label'   => __('Show Product Excerpt', DYNAMICBLOCK_TEXT),
                                                            'note'    => __('display short description', DYNAMICBLOCK_TEXT),
                                                            'checked' => isset($how_to_display_rules['type-setting']['show_product_excerpt']) ? $how_to_display_rules['type-setting']['show_product_excerpt'] : '',
                                                            // :: True/False
                                                            'value'   => 'true',
                                                        ));
                                                        ?>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <?php
                                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                                            'type'    => 'onoff',
                                                            'id'      => 'enable-carousel_',
                                                            'name'    => '' . $dynamicblock_how_to_display . '[type-setting][enable-carousel]',
                                                            'label'   => __('Enable Carousel', DYNAMICBLOCK_TEXT),
                                                            'note'    => __('show as grid or carousel', DYNAMICBLOCK_TEXT),
                                                            'checked' => isset($how_to_display_rules['type-setting']['enable-carousel']) ? $how_to_display_rules['type-setting']['enable-carousel'] : '',
                                                            // :: True/False
                                                            'value'   => 'true',
                                                        ));
                                                        ?>
                                                    </div>
                                                </div>
                                                <div class="row">

                                                    <div class="col-md-6">
                                                        <?php
                                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                                            'type'    => 'onoff',
                                                            'id'      => 'autoPlay',
                                                            'name'    => '' . $dynamicblock_how_to_display . '[type-setting][autoPlay]',
                                                            'label'   => __('AutoPlay', DYNAMICBLOCK_TEXT),
                                                            'note'    => __('enable carousel autoplay', DYNAMICBLOCK_TEXT),
                                                            'checked' => isset($how_to_display_rules['type-setting']['autoPlay']) ? $how_to_display_rules['type-setting']['autoPlay'] : '',
                                                            // :: True/False
                                                            'value'   => 'true',
                                                        ));
                                                        ?>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <?php if ($block_type == "bundle-pack") {
                                                            DynamicBlock_Admin::dynamicblock_get_field(array(
                                                                'type'    => 'onoff',
                                                                'id'      => 'apply-discount-to-main-product',
                                                                'name'    => '' . $dynamicblock_how_to_display . '[type-setting][apply-discount-to-main-product]',
                                                                'label'   => __('Apply Discount to Main Product', DYNAMICBLOCK_TEXT),
                                                                'note'    => __('apply total discount ?', DYNAMICBLOCK_TEXT),
                                                                'checked' => isset($how_to_display_rules['type-setting']['apply-discount-to-main-product']) ? $how_to_display_rules['type-setting']['apply-discount-to-main-product'] : '',
                                                                // :: True/False
                                                                'value'   => 'true',
                                                            ));
                                                        }
                                                        ?>
                                                    </div>
                                                </div>
                                                <!-- <div class="row">
                                                <div class="col-md-6">
                                                    <?php
                                                // DynamicBlock_Admin::dynamicblock_get_field(array(
                                                //     'type' => 'onoff',
                                                //     'id' => 'accessories-are-mandatory_',
                                                //     'name' => '' . $dynamicblock_how_to_display . '[type-setting][accessories-are-mandatory_]',
                                                //     'label' => 'Accessories are Mandatory',
                                                //     'note' => 'choose if at least one accessories is required to purchase
                                                //             main product',
                                                //     'checked' => isset($how_to_display_rules['type-setting']['accessories-are-mandatory_'])?$how_to_display_rules['type-setting']['accessories-are-mandatory_']:'', // :: True/False
                                                //     'value' => 'true',
                                                // ));
                                                ?>
                                                </div>
                                                <div class="col-md-6"></div>
                                            </div> -->
                                                <?php $static_datasets_array           = array();
                                                $static_discount_type['discount_type'] = array(
                                                    'none'       => 'None',
                                                    'fixed'      => 'Fixed',
                                                    'percentage' => 'Percentage',
                                                );
                                                ?>
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="dynamicblock-discount-type-wrapper">
                                                            <div class="dynamicblock-discount-types">
                                                                <h3>
                                                                    <?php _e( 'Discount Type', DYNAMICBLOCK_TEXT ); ?>
                                                                </h3>
                                                                <select name="<?php echo esc_attr($dynamicblock_how_to_display); ?>[type-setting][discount-type]"
                                                                        class="dynamicblock-discount-type-field dynamicblock-multi-select2">
                                                                    <?php
                                                                    $discount_type = isset($how_to_display_rules['type-setting']['discount-type']) ? $how_to_display_rules['type-setting']['discount-type'] : '';
                                                                    if ($static_discount_type['discount_type']) {
                                                                        foreach ($static_discount_type['discount_type'] as $key => $value) {
                                                                            echo '<option value="' . esc_attr($key) . '" ';
                                                                            if ($key == $discount_type) {
                                                                                echo 'selected';
                                                                            }
                                                                            echo '>' . esc_html($value) . '</option>';
                                                                        }
                                                                    } else {
                                                                        echo '<option value="fix">Fix</option><option value="percentage">Percentage</option>';
                                                                    }
                                                                    ?>
                                                                </select>
                                                            </div>
                                                            <div class="dynamicblock-discount-amount">
                                                                <h3>
                                                                    <?php _e( 'Discount Amount', DYNAMICBLOCK_TEXT ); ?>
                                                                </h3>
                                                                <input type="text"
                                                                       name="<?php echo esc_attr($dynamicblock_how_to_display); ?>[type-setting][discount-amt]"
                                                                    <?php $discount_amount = isset($how_to_display_rules['type-setting']['discount-amt']) ? $how_to_display_rules['type-setting']['discount-amt'] : ''; ?>
                                                                       value="<?php if ($discount_amount) {
                                                                           echo esc_attr($discount_amount);
                                                                       } else {
                                                                           echo '5';
                                                                       } ?>" class="dynamicblock-doscount-amount-field">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </div>
        <!-- settings -->
        <div id="dynamicblock-display-settings" class="dynamicblock-block-edit-area">
            <?php
            if (! $is_active && ('bundle-pack' === $new_post_block_type || 'accessories' === $new_post_block_type)) {
                /* never */
            } else {
                $_ctitle = array('title' => 'Settings', 'text' => 'General block parameters.');
                include DYNAMICBLOCK_TEMPLATE_PATH . 'admin/dynamicblock-edit-block-tab-title.php';
            }
            ?>
            <div class="block-info-wrapper setting-wrapper">
                <?php
                if (! $is_active && ('bundle-pack' === $new_post_block_type || 'accessories' === $new_post_block_type)) : ?>
                <p class="dynamicblock-upgrade-plugin-txt">Please Upgrade to Pro version. Unlock Extra features !</p>
                <a href="https://www.dynamicblock.ai/pricing-plans/" target="_blank"><img
                            src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/when-to-display-pro.svg"
                            title="" alt="" class="dynamicblock_buy_pro_img"/></a>
                <?php else: ?>
                    <div class="dynamicblock-display-setting-row">
                        <div class="dynamicblock-setting-customs-wrapper">
                            <form>
                                <div class="dynamicblock-setting-class-wrapper  dynamicblock-setting-style">
                                    <div class="dynamicblock-custom-collapse-wrapper">
                                        <div class="dynamicblock-custom-collapse-container">
                                            <div class="dynamicblock-custom-collapse-title dynamicblock-do-collapse collapse-open"
                                                 onclick="dynamicblock_custom_collapse(this)"
                                                 collapse="dynamicblock-style-collapse">
                                                <h3>
                                                    <?php _e( 'Style', DYNAMICBLOCK_TEXT ); ?>
                                                </h3>
                                            </div>
                                            <div class="dynamicblock-custom-collapse-description dynamicblock-style-collapse collapse-open">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="dynamicblock-style-editors dynamicblock-style-collapse collapse-open">
                                        <?php
                                        $rules            = get_post_meta(get_the_ID(), 'dynamicblock_post') ?? '';
                                        $setting_rules    = $rules[0][$_dynamicblock_key]['settings'] ?? '';
                                        $custom_css_class = $setting_rules['custom-css-class'] ?? '';
                                        $custom_css       = $setting_rules['custom-css'] ?? '';
                                        $custom_js        = $setting_rules['custom-js'] ?? '';
                                        $utm_source       = $setting_rules['utm-source'] ?? '';
                                        $utm_medium       = $setting_rules['utm-medium'] ?? '';
                                        $utm_campaign     = $setting_rules['utm-campaign'] ?? '';
                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                            'type'        => 'text',
                                            'id'          => 'post_custom_classes',
                                            'label'       => __( 'Custom Css Class', DYNAMICBLOCK_TEXT ),
                                            'name'        => 'dynamicblock_post[' . $_dynamicblock_key . '][settings][custom-css-class]',
                                            'placeholder' => apply_filters('enter_custom_classes_here',
                                                __('insert here custom class'), $post),
                                            'note'        => '',
                                            'value'       => $custom_css_class,
                                        ));
                                        ?>
                                        <?php
                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                            'type'  => 'textarea',
                                            'id'    => 'css-editor',
                                            'label' => __( 'Custom Css', DYNAMICBLOCK_TEXT ),
                                            'name'  => 'dynamicblock_post[' . $_dynamicblock_key . '][settings][custom-css]',
                                            'note'  => '',
                                            'value' => $custom_css,
                                        ));
                                        ?>
                                        <?php
                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                            'type'  => 'textarea',
                                            'id'    => 'js-editor',
                                            'name'  => 'dynamicblock_post[' . $_dynamicblock_key . '][settings][custom-js]',
                                            'label' => __( 'Custom Js', DYNAMICBLOCK_TEXT ),
                                            'note'  => '',
                                            'value' => $custom_js,
                                        ));
                                        ?>
                                    </div>
                                </div>
                                <div class="dynamicblock-setting-class-wrapper dynamicblock-setting-utm-source">
                                    <div class="dynamicblock-custom-collapse-wrapper">
                                        <div class="dynamicblock-custom-collapse-container">
                                            <div class="dynamicblock-custom-collapse-title dynamicblock-do-collapse collapse-open"
                                                 onclick="dynamicblock_custom_collapse(this)"
                                                 collapse="dynamicblock-utm-collapse">
                                                <h3>
                                                    <?php _e( 'UTM Params', DYNAMICBLOCK_TEXT ); ?>
                                                </h3>
                                            </div>
                                            <div class="dynamicblock-custom-collapse-description dynamicblock-utm-collapse collapse-open">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="dynamicblock-utm-editors dynamicblock-utm-collapse collapse-open">
                                        <?php
                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                            'type'        => 'textarea',
                                            'id'          => 'utm_source',
                                            'label'       => __( 'UTM Source', DYNAMICBLOCK_TEXT ),
                                            'name'        => 'dynamicblock_post[' . $_dynamicblock_key . '][settings][utm-source]',
                                            'placeholder' => __('UTM Source', DYNAMICBLOCK_TEXT),
                                            'note'        => '',
                                            'value'       => $utm_source,
                                        ));
                                        ?>
                                        <?php
                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                            'type'        => 'textarea',
                                            'id'          => 'utm_medium',
                                            'label'       => __('UTM Medium', DYNAMICBLOCK_TEXT),
                                            'name'        => 'dynamicblock_post[' . $_dynamicblock_key . '][settings][utm-medium]',
                                            'placeholder' => __('UTM Medium', DYNAMICBLOCK_TEXT),
                                            'note'        => '',
                                            'value'       => $utm_medium,
                                        ));
                                        ?>
                                        <?php
                                        DynamicBlock_Admin::dynamicblock_get_field(array(
                                            'type'        => 'textarea',
                                            'id'          => 'utm_campaign',
                                            'label'       => __('UTM Campaign', DYNAMICBLOCK_TEXT),
                                            'name'        => 'dynamicblock_post[' . $_dynamicblock_key . '][settings][utm-campaign]',
                                            'placeholder' => __('UTM Campaign', DYNAMICBLOCK_TEXT),
                                            'note'        => '',
                                            'value'       => $utm_campaign,
                                        ));
                                        ?>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
<script>
    (function ($) {
        $(document).ready(function () {
            var cm_editorSettings = wp.codeEditor.defaultSettings ? _.clone(wp.codeEditor.defaultSettings) : {};
            cm_editorSettings.codemirror = _.extend(
                {},
                cm_editorSettings.codemirror,
                {
                    lineNumbers: true,
                    mode: "css",
                    indentUnit: 2,
                    tabSize: 2,
                    autoRefresh: true,
                }
            );
            var cm_editor = wp.codeEditor.initialize($('#css-editor'), cm_editorSettings);
            var cm_editorSettings = wp.codeEditor.defaultSettings ? _.clone(wp.codeEditor.defaultSettings) : {};
            cm_editorSettings.codemirror = _.extend(
                {},
                cm_editorSettings.codemirror,
                {
                    lineNumbers: true,
                    mode: "javascript",
                    indentUnit: 2,
                    tabSize: 2,
                    autoRefresh: true,
                }
            );
            var cm_editor = wp.codeEditor.initialize($('#js-editor'), cm_editorSettings);
        });
    })(jQuery);
</script>
