<?php
defined('ABSPATH') || exit;
?>
<div class="dynamicblock-navigation-list">
    <a href="#general_settings" title="General"
       class="dynamicblock-nav-item wp-menu-image dashicons-before dashicons-admin-settings active">
        <h4 class="setting-nav-title">
          <?php _e('GENERAL', DYNAMICBLOCK_TEXT); ?>
        </h4>
        <h6 class="setting-nav-subtitle">
          <?php _e('This is general settings', DYNAMICBLOCK_TEXT); ?>
        </h6>
    </a>
</div>

<div class="dynamicblock-setting-content-outer-wrapper">
    <?php
    if (class_exists('DynamicBlocksBuilderActivator')) {
        $_activator = new DynamicBlocksBuilderActivator;
        $_activator->LicenseSettings();
    }
    ?>
</div>

<style>
  .dynamicblock-navigation-list {
    width:      20%;
    position:   relative;
    float:      left;
    margin-top: 45px;
  }

  .dynamicblock-nav-item .setting-nav-subtitle {
    color:       #72777C;
    color:       #72777C;
    font-size:   13px;
    line-height: 1.23077;
    font-weight: 600;
    margin:      0;
  }

  .dynamicblock-nav-item::before {
    position:           absolute;
    top:                calc(50% - 12px);
    right:              18px;
    text-align:         center;
    font-size:          1.4375rem;
    line-height:        1;
    color:              #61cb94;
    opacity:            9;
    transition:         all 150ms ease-out;
    -webkit-transition: all 150ms ease-out;
  }

  .dynamicblock-setting-content-outer-wrapper {
    width:            77%;
    display:          inline-block;
    float:            left;
    background-color: #fff;
    padding:          15px;
    border:           2px solid #ddd;
    border-radius:    5px;
  }

  .dynamicblock-setting-content .dynamicblock-content-header span {
    background: #61CB94;
    color:      #fff;
    float:      left;
  }

  .dynamicblock-header-icon {
    position:      absolute;
    left:          0;
    display:       inline-block;
    width:         45px;
    height:        45px;
    background:    #FDE0D9;
    color:         #F56640;
    text-align:    center;
    border-radius: 3px;
    line-height:   35px;
    top:           8px;
    font-size:     35px;
  }

  .setting-header-title {
    margin:      0;
    color:       #23282d;
    font-weight: 600;
    font-size:   1.3em;
  }

  .dynamicblock-setting-content-item {
    padding: 8px 0;
  }

  .dynamicblock-setting-content-item label {
    font-weight:   500;
    width:         100%;
    font-size:     15px;
    color:         #444;
    float:         left;
    margin-bottom: 5px;
  }

  .dynamicblock-content-header {
    position:       relative;
    border-bottom:  1px solid #E0E4E9;
    padding-bottom: 30px;
    padding-top:    20px;
    font-size:      20px;
    margin-bottom:  30px;
    padding-left:   60px;
  }

  .dynamicblock-content-header::before {
    content:    "";
    content:    '';
    position:   absolute;
    display:    block;
    width:      48px;
    height:     1px;
    bottom:     -1px;
    left:       0;
    background: #F56640;
  }

  #global-public-key {
    width:      50%;
    margin-top: 5px;
  }

  #global-admin-email {
    width:      50%;
    margin-top: 5px;
  }

  .dynamicblock-setting-content-item label {
    font-weight:   500;
    width:         100%;
    margin:        0;
    font-size:     15px;
    color:         #444;
    margin-bottom: 5px;
  }

  .dynamicblock-content-header::before {
    height:     2px !important;
    background: #61cb94 !important;
  }

  .dynamicblock-nav-item.active::after {
    position:   absolute;
    content:    "";
    width:      2px;
    height:     100%;
    background: #fff;
    right:      -2px;
    z-index:    9;
    top:        0;
  }

  .email_template_save {
    text-align: right;
  }

  .ans-icon a,
  .email_template_save input[type="submit"] {
    color:         #fff;
    font-size:     13px;
    height:        28px;
    margin:        0;
    padding:       0 10px 1px;
    cursor:        pointer;
    border-style:  solid;
    background:    #c51a7e;
    border-color:  #c51a7e;
    box-shadow:    0 1px 0 #c51a7e;
    text-shadow:   0 -1px 1px #c51a7e, 1px 0 1px #c51a7e, 0 1px 1px #c51a7e, -1px 0 1px #c51a7e;
    border-radius: 50px;
    font-weight:   bold;
  }

  .dashicons,
  .dashicons-before::before {
    vertical-align: middle;
    line-height:    28px;
  }

  .dynamicblock-setting-content-outer-wrapper {
    margin-top: 15px;
  }

  .dynamicblock-nav-item.wp-menu-image {
    padding:         16px 44px 18px 20px;
    text-decoration: none !important;
    display:         block;
  }

  .dynamicblock-setting-outer-wrapper .dynamicblock-navigation-list a::before {
    color:   #7B3B8A;
    opacity: unset;
  }

  .dynamicblock-setting-outer-wrapper .dynamicblock-navigation-list a h4 {
    color:     #000000;
    font-size: 12px !important;
  }

  .dynamicblock-nav-item.wp-menu-image:hover,
  .dynamicblock-nav-item.wp-menu-image.active {
    color:      #121116;
    background: #fff;
  }

  .dynamicblock-setting-outer-wrapper .dynamicblock-navigation-list a::before {
    color:   #7B3B8A;
    opacity: unset;
  }

  .dynamicblock-navigation-list a:hover,
  .dynamicblock-navigation-list a.active {
    border-top:                1px solid #ddd !important;
    border-left:               1px solid #ddd !important;
    border-bottom:             1px solid #ddd !important;
    border-right:              0 !important;
    border-top-left-radius:    7px;
    border-bottom-left-radius: 7px;
  }

  .dynamicblock-content-header::after {
    position:   absolute;
    content:    "";
    width:      2px;
    height:     100%;
    background: #fff;
    right:      -2px;
    z-index:    9;
    top:        0;
  }

  .dynamicblock-nav-item.wp-menu-image:focus {
    box-shadow: none;
  }

  #global-public-key:focus {
    box-shadow: none;
  }

  #global-admin-email:focus {
    box-shadow: none;
  }

  .dynamicblock-setting-content .dynamicblock-content-header span:before {
    font-size: 30px;
    display:   block;
    width:     100%;
    top:       8px;
    position:  relative;
  }
</style>

