<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.6.0
 */

defined('ABSPATH') || exit;

global $product;

// Ensure visibility.
if (empty($product) || !$product->is_visible()) {
    return;
}

?>
<div <?php wc_product_class('dynamicblock-related-item', $product); ?> >

    <div class="product-link">
            <?php
            do_action('woocommerce_before_shop_loop_item');
            do_action('woocommerce_shop_loop_item_title');

            //ADD Permalink on image
            //do_action('woocommerce_before_shop_loop_item_title');
            global $product; // Get the WC_Product object
            $main_product_id = $product->get_id();
            $image = wp_get_attachment_image_src( get_post_thumbnail_id( $main_product_id ), 'medium' );
            ?>
            <a href="<?php echo DynamicBlock_Public::dynamicblock_woocommerce_loop_product_link(get_the_permalink(), $product); ?>" class="dynamicblock-permalink">
            <?php echo '<img src="'. $image[0].'" class="attachment-woocommerce_thumbnail size-woocommerce_thumbnail"/>'; ?>
            </a>

            <?php
            do_action('dynamicblock_woocommerce_after_shop_loop_item_title', $product);
            do_action('woocommerce_after_shop_loop_item_title');
            do_action('woocommerce_after_shop_loop_item');
            ?>
    </div>
</div>
