<?php
/**
 * Dynamic Recomendation Blocks
 *
 * @version     1.1
 *
 * Last Modified: 18-Dic-2023
 * Modified By: Esus
 * Modification: Added responsive grid layout with css grid. + Escaped Output + Skip Main Product
 */

 if (!defined('ABSPATH')) {
    exit;
}

// Global variables
global $current_block_rules;

// Configuration variables
$_is_carousel = !empty($args['skin_type']) && $args['skin_type'] == 'carousel';
$_enable_excerpt = isset($args['enable_excerpt']) && $args['enable_excerpt'] == 'enable_excerpt' ? '' : ' dynamicblock_hide_excerpt ';
$_enable_cart_button = isset($args['enable_cart_button']) && $args['enable_cart_button'] == 'enable_cart_button' ? '' : ' dynamicblock_hide_cart_btn ';
$current_block_rules = isset($args['dynamicblock_rules']) ? $args['dynamicblock_rules'] : '';
$_dynamicblock_custom_class = !empty($current_block_rules['settings']['custom-css-class']) ? ' ' . esc_attr($current_block_rules['settings']['custom-css-class']) . ' ' : '';
$_dynamicblock_custom_css = !empty($current_block_rules['settings']['custom-css']) ? ' ' . esc_attr($current_block_rules['settings']['custom-css']) . ' ' : '';
$_dynamicblock_custom_js = !empty($current_block_rules['settings']['custom-js']) ? ' ' . wp_strip_all_tags($current_block_rules['settings']['custom-js']) . ' ' : '';
$post_id = !empty($current_block_rules['block_info']['id']) ? $current_block_rules['block_info']['id'] : '';
$block_title = !empty($current_block_rules['block_info']['block_title']) ? $current_block_rules['block_info']['block_title'] : '';
$when_to_display = !empty($current_block_rules['when_to_display']) ? $current_block_rules['when_to_display'] : [];
$_enable_autoplay = $_is_carousel && !empty($args['enable_autoplay']) && $args['enable_autoplay'] == 'enable_autoplay';

// Default Post Title Blocks
$post_title = $post_id ? get_post($post_id)->post_title : 'Product Recomendations';
$post_title = !empty($block_title) ? $block_title : $post_title;

// Custom CSS and JS
if ($_dynamicblock_custom_css) {
    echo '<style>' . esc_html($_dynamicblock_custom_css) . '</style>';
}
if ($_dynamicblock_custom_js) {
    echo '<script>jQuery(document).ready(function() {' . wp_kses($_dynamicblock_custom_js, array()) . '});</script>';
}

// Screen size conditions
$screen_size_condition = array();

if ( is_array( $when_to_display ) && !empty( $when_to_display['post_query_rules'] ) ) {
    $post_query_rules = $when_to_display['post_query_rules'];

    if ( !empty( $post_query_rules ) ) {
        foreach ($post_query_rules as $post_query_rule) {
            if ( !empty( $post_query_rule ) ) {
                foreach ($post_query_rule['dynamicblock_query'] as $query_rule) {
                    if ( $query_rule['dataset'] == "hide_screen" ) {
                        // $screen_size_condition[] = $query_rule['dataset'].'_'.$query_rule['tagfields'];
                        if( is_array($query_rule['tagfields']) ){
                            foreach ($query_rule['tagfields'] as $tagfieldskey => $tagfields_val) {
                                $screen_size_condition[] = $query_rule['dataset'].'_'.$tagfields_val;
                            }
                        }
                        else{
                            $screen_size_condition[] = $query_rule['dataset'].'_'.$query_rule['tagfields'];
                        }
                    }
                }
            }
        }
    }
}

// Related products section
if (!empty($related_products)) :
    ?>
    <section class="dynamicblock-block-products dynamicblock-related products <?php echo esc_attr($_dynamicblock_custom_class); ?> <?php echo esc_attr(implode(' ', $screen_size_condition)); ?>">
        <?php
        $heading = apply_filters('woocommerce_product_related_products_heading', esc_html__($post_title, 'woocommerce'));
        if ($heading) :
            ?>
            <h4 class="dynamicblock-main-title"><?php echo esc_html($heading); ?></h4>
        <?php endif; ?>
        <div class="dynamicblock-loop-wrapper <?php echo $_enable_excerpt . $_enable_cart_button ?> <?php echo ($_is_carousel) ? ' owl-carousel dynamicblock-loop-carousel-related ' : ' dynamicblock-grid-container' ?>" <?php echo ($_enable_autoplay ? 'carousel-play="enable_autoplay"' : ''); ?>>

         <?php
            $main_product_id = get_the_ID(); // Get Main Product ID
            foreach ($related_products as $related_product) :
                if ($related_product->get_id() === $main_product_id) {
                    continue; // Skip the main product
                }

                $post_object = get_post($related_product->get_id());
                setup_postdata($GLOBALS['post'] =& $post_object);
                ?>
                <div class="dynamicblock-grid-item">
                    <?php wc_get_template_part('dynamicblock-content', 'product', 10, 3); ?>
                </div>
            <?php endforeach; ?>
        </div>
    </section>
<?php
endif;

wp_reset_postdata();
?>